#-------------------------------------------------------------------------------
# Locale Strings in EN(English)
#
# Created By : Yogesh Kumar @ IDrive Inc
# Reviewed By: Deepak Chaurasia
#-------------------------------------------------------------------------------

package Locale::EN;
use AppConfig;
use strict;
use warnings;
use IxHash;

our %strings = (
#------------------------------------------------- _ -------------------------------------------------#
	'_optional_'            => '[Optional]',
	'_max_1024_characters_' => '[Maximum 1024 characters]',
	'_max_4095_characters_' => '[Maximum 4095 characters allowed. Message will be truncated if it is more than 4095 characters]',
#------------------------------------------------- 0 -------------------------------------------------#
	'0_status' => 'Disabled',	
	'0_login_status' => 'Logged Out',
	'0_script_update_error' => 'You can\'t update the script.',
#------------------------------------------------- 1 -------------------------------------------------#
	'1_status' => 'Enabled',
	'1_login_status' => 'Logged In',
	'1_file_lock_status' => 'File name is missing.',
#------------------------------------------------- 2 -------------------------------------------------#
	'2_script_update_error' => 'Your current package can\'t be downgraded to version ',
	'2_file_lock_status' => 'Failed to open file',
#------------------------------------------------- 3 -------------------------------------------------#
	'3_script_update_error' => 'Your current package can\'t be upgraded to version ',
	'3_file_lock_status' => 'Failed to lock the file',
#---------------------------------------- VERSION RESTORE --------------------------------------------#
	'1_most_recent' => 'Most Recent',
	'2_most_recent' => '2nd Most Recent',
	'3_most_recent' => '3rd Most Recent',
	'4_most_recent' => '4th Most Recent',
	'5_most_recent' => '5th Most Recent',
	'6_most_recent' => '6th Most Recent',
	'7_most_recent' => '7th Most Recent',
	'8_most_recent' => '8th Most Recent',
	'9_most_recent' => '9th Most Recent',
	'10_most_recent' => '10th Most Recent',
#------------------------------------------------- A -------------------------------------------------#
	'already_exists'                                                  => "already exists.",
	'account_with_encryption'                                         => "account with encryption key",
	'are_using_proxy_y_n'                                             => "Are you using Proxy (y/n)",
	'as_per_your_backup_location_your'                                => 'As per your Backup Location, ',
	'as_per_your_local_backup_location_your'                          => 'As per your Local Backup Location, ',
	#'additional_information'                                          => "================= Additional Information =================\n",
	'additional_information'                                          => "ADDITIONAL INFORMATION\n----------------------\n",
	'archive_cleanup_operation'                                       => "Archive Cleanup Operation",
	'archive_cleanup'                                                 => 'Archive Cleanup',
	'archive_cleanup_title'                                           => 'Archive Cleanup',
	'archive_cleanup_logs'                                            => 'Archive Cleanup Logs',
	'are_you_sure_to_delete_y_or_n'                                   => 'Are you sure to delete (y/n)?',
	'aborted'                                                         => 'Aborted',
	'account_not_configured'                                          => "Your account is not configured. Please configure using account_setting.pl and try again.",
	'absolute_path_required'                                          => 'Please provide absolute path.',
	'archive_title'                                                   => 'Archive',
	'archive'                                                         => "Archive Cleanup",
	'archive_job'                                                     => 'Archive Cleanup job',
	'archive_running'                                                 => "Archive Cleanup job is in progress",
	'archive_in_progress_try_again'                                   => "Archive cleanup is in progress. Please try again later.",
	'aborting_the_operation'                                          => 'Aborting the operation.',
	'archive_job_is_already_in_progress_try_again'                    => 'Archive Cleanup job is already in progress. Modifying the scheduler parameters will interrupt the job and it will restart only at the modified time. ',
	'admin_has_locked_settings'                                       => 'This setting has been locked by admin. Contact your admin to unlock it.',
	'available_scripts_version_is_lower_than_current_scripts_version' => 'Available scripts version is same or lower than current scripts version. Do you really want to update (y/n)?',
	'app_dashboard_service'                                           => 'Dashboard service',
	'app_cron_service'                                                => "$AppConfig::appType Cron service",
	'all_the_profile_users_loggedout'                                 => "All the profile users are logged out successfully.",
   	'archive_error_report'                                            => "ERROR REPORT\n------------\n",
	'app_cdp_service'													=> 'CDP service',
	'auto_restore_loc_prompt'											=> 'Restore Location prompt',
	'auto_default_mount_point_local_backup'								=> 'Your default mount point for local backup',
	'auto_default_failed_files_per'										=> 'Default failed files percentage to notify as \'Failure\'',
	'auto_ignore_permission'											=> 'Ignore file/folder level permission error option',
	'auto_desktop_access'												=> 'Desktop access',
	'auto_upload_multiple_file_chunks'									=> 'Upload multiple file chunks simultaneously',
	'auto_default_missing_files_per'									=> 'Default missing files percentage to notify as \'Failure\'',
	'auto_default_backupset_scan_interval'								=> 'Default backupset scan interval',
	'acc_reset_detected_need_fresh_backup'								=> "Account reset has been detected for your $AppConfig::appType account. Local data needs to backup freshly. Do you want to continue (y/n)?",
	'all_prereq_have_been_installed'									=> "All prerequisites for $AppConfig::appType scripts have been installed successfully.",
    'alert'                                                             => "Alert",
    'archive_alert_message'                                             => "The Archive Cleanup feature permanently deletes data from your account, by matching them one to one to the data in your current backup set.In case you have multiple machines backing up to the same location or to a sub location of a backup location, then in case of conflict, the archive cleanup process may report files of the other machines for cleanup as well.It is advisable to ensure that no such conflicts occur.\n\nDo you wish to continue with Archive Cleanup (y/n)?",
	'auto_detected_proxy'												=> 'Automatically detected proxy settings are',
	'a_new_update_available'											=> 'A new update is available.',
#------------------------------------------------- B -------------------------------------------------#
	'backup'                                                                    => 'Backup',
	'backup_job'                                                                => 'Backup job',
	'backup_title'                                                              => 'Backup',
	'backup_location'                                                           => "BACKUP LOCATION",
	'backup_location_lc'                                                        => "Backup location",
	'backup_location_progress'                                                  => "Backup Location",
	'backup_logs'                                                               => "Backup Logs",
	'bandwidth_throttle'                                                        => "Bandwidth throttle(%)",
	'bw_throttle'                                                               => "BW Throttle(%)",
	'backup_type'                                                               => "Backup Type",
	'backup_start_time'	                                                        => 'Backup Start Time : ',
	'backup_end_time'                                                           => 'Backup End Time : ',
	'backupset'	                                                                => 'Backup set: ',
	'backup_type_must_be_mirror'                                                => 'Backup type must be "mirror" to perform archive cleanup operation.',
	#'backup_location_should_contain_only_letters_numbers_space_and_characters' => 'Reason: Backup location should contain only letters, numbers, space and characters(.-_).',
	'backup_location_should_contain_only_letters_numbers_space_and_characters'  => 'Reason: Backup location should contain only letters, numbers and characters(-_).',
	'backup_location_should_be_one_to_sixty_five_characters'                    => "Reason: Backup location should be less than 65 characters.",
	'backup_running'                                                            => "Backup job is running.",
	'backup_progress'                                                           => "Backup Progress\n===============        \n",
	'backup_in_progress_try_again' 												=> 'Backup in progress. Please try again later.',
	'backup_in_progress'                                                        => 'Backup in progress...',
	'backup_has_been_completed'                                                 => 'Backup job is complete.',
	'backup_job_has_been_scheduled_successfully_to'                             => 'Backup job has been scheduled successfully at',
	'backup_job_started_successfully'                                           => 'Backup job will begin shortly.',
	'backup_job_is_already_in_progress_try_again'                               => 'Scheduled backup job is already in progress. Modifying the scheduler parameters will interrupt the job and it will restart only at the modified time.',
	'local_backup_job_started_successfully'                                   => 'Local backup job will begin shortly.',
	'by_default_ignore_permission_is_disabled'                                  => 'Your \'Ignore file/folder level permission error\' option has been "Disabled".',
	'by_default_show_hidden_option_is_enabled'                                  => 'Your \'Show hidden files/folders\' option has been "Enabled".',
	'by_default_retain_logs_option_is_enabled'                                  => 'Your \'Retain logs\' option has been "Enabled".',
	'by_default_upload_multiple_file_chunks_option_is_enabled'                  => 'Your \'Upload multiple file chunks simultaneously\' option has been "Enabled".',
	'by_default_cdp_option_is_enabled'											=> '\'Continuous Data Protection\' option has been "Enabled" for your account.',
	'backupset_is_empty'														=> 'Your backupset is empty',
	'backupset_scan_request_placed_successfully'								=> 'Backupset scan request placed successfully',
	'backupset_scan_request_failed'												=> 'Backupset scan request failed',
	'backupset_db_created_successfully'											=> 'Database for Default backup set has been created successfully',
	'backupset_db_updated_successfully'											=> 'Database for default backup set has been updated successfully',
	'backup_location_is_adopted_by_another_machine'                             => "Backup location is adopted by another machine. Please edit your account details using $AppConfig::idriveScripts{'account_settings'}",
	'bkpscan_job'																=> 'Backup Set Scan',
	'basic_prereq_not_met_run_acc_settings'										=> "Prerequisites not met. Please run $AppConfig::idriveScripts{'account_settings'} and try again.",
	'backup_content_c'															=> '[BACKUP CONTENT]',
	'backup_set_contents'														=> 'Backup Set Contents',
	'backup_job_in_progress_change_engine_terminates_jobs'						=> 'Ongoing backup operations will be cancelled.',
	'backupset_rescan_interval'													=> 'Backupset Rescan Interval',
    'backed_up_now_cdp_summary'                                                 => 'Backed up now: <TOTAL> in which Added(<ADDED>)/modified(<MODIFIED>)',
	'backup_started'															=> 'Backup started.',
	'backup_aborted_invalid_cmd'												=> 'Invalid Command. Backup aborted.',
	'backup_terminated_sig'														=> 'Backup terminated.',
	'backup_completed'															=> 'Backup has been completed.',
	'backup_scan_progress'														=> "Backup Scan Progress\n====================        \n",
#------------------------------------------------- C -------------------------------------------------#
	'cannot_open_directory'                                          => "Cannot open directory",
	'cannot_fork_child'                                              => 'Cannot fork() child process: ',
	'checking_for_dependencies'                                      => "Checking for package dependencies...",
	'create_new_backup_location'                                     => "Create new Backup Location",
	'confirm_your_encryption_key'                                    => "Confirm your encryption key",
	'could_not_complete_operation'                                   => 'Could not complete operation. ',
	'current_loggedin_username_is'                                   => 'Current logged in user is',
	'contact_no'                                                     => 'contact number',
	'contact_number_only_digits'                                     => 'Contact number can have only digits',
	'contact_number_between_5_20'                                    => 'Contact number must be between 5 to 20 characters',
	'computer_name'                                                  => 'Computer Name',
	'cannot_be_empty'                                                => 'Cannot be empty',
	'configured_email_address_are'                                   => 'Configured e-mail address(es) are ',
	'configured_email_address_is'                                    => 'Configured e-mail address is',
	'couldnt_create'                                                 => 'Couldn\'t create',
	# 'could_not_complete_operation'                                   => 'Could not complete operation',
	'changing_title'                                                 => 'Changing',
	'changing_service_direc_will_update_new_path'                    => 'Changing service directory will update the location to new path',
	'checking_for_updates'                                           => 'Checking for new updates',
	'c_bandwidth_throttle_%'                                         => "BANDWIDTH THROTTLE(%)",
	'c_bw_throttle'                                         		 => "BW Throttle",
	'configure_&_try_again'                                          => "Please configure your account using account_setting.pl.",
	'c_restore_from'                                                 => "RESTORE FROM LOCATION",
	'c_restore_location'                                             => "RESTORE LOCATION",
	'c_retain_logs'                                                  => "RETAIN LOGS",
	'c_backup_type'                                                  => "BACKUP TYPE",
	'c_proxy_details'                                                => "PROXY DETAILS",
	'c_service_dir'                                                  => "SERVICE DIR",
	'c_email_address'                                                => "E-MAIL ADDRESS",
	'c_restore_loc_pmpt'                                             => "RESTORE LOCATION PROMPT",
	'c_notify_software_update'                                       => "SOFTWARE UPDATE NOTIFICATION",
	'c_ignore_permission_error'                                      => "IGNORE PERMISSION ERROR",
	'c_show_hidden_items'                                            => "SHOW HIDDEN FILES/FOLDERS",
	'c_desktop_access'                                               => "DESKTOP ACCESS",
	'c_cron_service'                                                 => uc($AppConfig::appType)." CRON SERVICE",
	'c_dashboard_service'                                            => 'DASHBOARD SERVICE',
	'c_files_failed'                                                 => 'FAILED FILES(%)',
	'c_files_missing'                                                => 'MISSING FILES(%)',
	'cc_file'                                                        => "File",
	'c_multiple_chunks'                                              => 'MULTIPLE FILE CHUNKS',
	'creating_user_directories'	                                     => 'Creating user directory...',
	'consider_def_loc_as'                                            => 'Considering Default Restore Location as',
	'creating_restore_location'                                      => 'Creating Restore Location',
	'checking_version_for_file'                                      => 'Checking version(s) for the file',
	'couldnt_open'                                                   => 'Couldn\'t open',
	'could_not_find_given_file'                                      => 'No version(s) found. Reason: File does not exist',
	'could_not_open_file'                                            => 'Could not open file',
	'considering_default_restore_location'                           => "Considering Default Restore Location as ",
	'considering_default_backup_location'                            => 'Considering Default Backup Location as ',
	'configured_email_addresses_are'	                             => 'Configured e-mail address(es) are: ',
	'creating_your_restore_location'                                 => 'Creating your Restore location...',
	'considering_default_restore_from_location_as'                   => 'Considering Default Restore From location as',
	'confirming_your_encryption_key'                                 => "Confirming encryption key...",
	'cut_-_off'                                                      => 'Cut-off',
	'cut_-_off_time'                                                 => 'Cut-off Time',
	'calculating'                                                    => 'Calculating...',
	'can_we_upload_a_sample_file_for_speed_test_analysis'            => 'Can we upload a temporary file (SPEED_TEST_FILE) for speed test analysis(y/n)?',
	'creating_the_speed_test_file_for_backup'                        => 'Creating a temporary file "SPEED_TEST_FILE" for backup ...',
	'checking_network_speed_via_speedtestnet'                        => 'Checking network speed via speedtest.net...',
	'cron_service_started'                                           => "$AppConfig::appType Cron service started.",
	'cdp_service_started'											 => "CDP service started",
	'cdp_service_not_running'										 => "CDP service is not running",
	'cdp_service_running'											 => 'CDP service is running',
	'cron_service_not_running'                                       => "$AppConfig::appType Cron service is not running",
	'cron_service_running'                                           => "$AppConfig::appType Cron service is running",
	'c_running'                                                      => 'Running',
	'c_stopped'                                                      => 'Stopped',
	'config_same_user_will_del_old_schedule'                         => 'Configuring the same user profile with current path will terminate and delete all the existing scheduled jobs.',
	'cron_service_stopped'                                           => "$AppConfig::appType Cron service has stopped. Scheduled jobs will fail to execute.",
	'changing_service_directory_will_terminate_all_the_running_jobs' => 'Changing service directory will terminate all the running jobs. ',
	'cutoff_is_disabled'                                             => 'Cut off is disabled.',
	'current_cutoff_timing'                                          => 'Current cut off timing',
	'current_backup_schedule'                                        => 'Current schedule frequency',
	'current_backup_timing'                                          => 'Current backup timing',
	'cron_service_must_be_restarted_for_this_update'                 => "$AppConfig::appType Cron service must be restarted for this update.",
	'cron_service_has_been_restarted'                                => "$AppConfig::appType Cron service has been restarted.",
	'considered_backup_location_for_local'                           => 'Considered backup location for local backup is ',
	'cleanup_empty_directories'                                      => 'Cleanup empty directories',
	'c_disabled'                                                     => ' (Desktop access is disabled)',
	'could_not_create_server_socket'								 => 'Could not create server socket',
	'cdp_service_stopped'											 => 'CDP service has stopped.',
	'cdp_job_has_been_scheduled_at_each'							 => 'CDP job has been scheduled successfully with the frequency of',
	'cdp_job_has_been_scheduled_realtime'							 => 'CDP job has been scheduled successfully in real time',
	'cdp_title'														 => 'CDP',
	'creating_backupset_db'											 => 'Creating database for default backup set',
	'cdp_job'														 => 'CDP job',
	'cdp_will_not_work'												 => 'CDP will not work as expected for your account',
	'cdp_logs'														 => 'CDP Logs',
	'cdp_suppport'													 => 'CDP Support',
	'cron_job'														 => 'CRON Service',
	'commit_failed'													 => 'Commit failed',
	'commit_retry_failed'											 => 'Commit retry failed',
	'corrupted_crontab_found'										 => "$AppConfig::appType Cron has been corrupted. You must reschedule all the previously scheduled jobs to execute them on scheduled time",
	'cc_enabled'													 => 'Enabled',
	'cc_disabled'													 => 'Disabled',
	'cc_perl_cpan_packages'											 => 'Perl CPAN Packages',
	'cc_packages'													 => 'Packages',
	'cumulative_progress'                                            => "Cumulative Progress\n====================          \n",
	'cdp_progress'                                                   => "CDP Progress\n================            \n",#Added spaces for FreeBSD to overwrite the existing text.
    'can_not_display_in_extended_view'                               => 'Can not display in extended view',
	'completed_file_size'											 => 'Completed size',
	'checking_auto_update'											 => 'Checking auto update.',
	'created_successfully'                                           => 'created successfully.',
#------------------------------------------------- D -------------------------------------------------#
	'date_range'                                                             => 'Date range',
	'date_range_to_delete'                                                   => 'Select date range to delete',
	'dashboard_service_running'                                              => 'Dashboard service is running',
	'dashboard_already_running_for_user'                                     => 'Dashboard service is already running for the user: ',
	'dashboard_service_started'                                              => 'Dashboard service started',
	'dashboard_service_restarted'                                            => 'Dashboard service restarted',
	'developed_by'                                                           => "Developed By:",
	'directory_does_not_exists'                                              => 'Directory does not exists',
	'do_you_want_edit_this_y_or_n_?'                                         => "Do you wish to modify (y/n)?",
	'do_you_want_edit_bkploc_name_y_or_n_?'                                  => "Do you wish to modify your backup location name (y/n)?",
	'do_you_want_edit_your_email_y_n'                                        => "Do you want to edit your e-mail address (y/n)?",
	'default_encryption_key'                                                 => "Default encryption key",
	'do_you_want_view_files_y_or_n'                                          => "Do you want to view the list of files to be deleted (y/n)?",
	'do_you_want_view_directories_y_or_n'                                    => "Do you want to view the list of directories to be deleted (y/n)?",
	'deleted',                                                               => "Deleted",
	'delete_all',                                                            => "Delete All",
	'deleted_logs'                                                           => "Delete Logs",
	#'deleted_content_files'                                                  => "Deleted Content [Files]\n=======================\n",
    'deleted_content_files'                                                  => "[STATUS ] [FILE NAME]\n---------------------\n",
	'deleted_content_directories'                                            => "[STATUS ] [EMPTY DIRECTORY NAME]\n--------------------------------\n",
	'delaying_cleanup_operation_reason'                                      => "Delaying cleanup operation. Reason: ",
	'deleting_files'                                                         => "Deleting files...",
	'deleting_empty_directories'                                             => "Deleting empty directories...",
	#'delete_operation_aborted_due_to_percentage'                             => "Delete operation for files is skipped due to the number of files considered for deletion is <PER1>%, which is more than <PER2>%.\n",
	'delete_operation_aborted_due_to_percentage'                             => "**Total <TOTAL_FILES> files are present in your backup set. Delete operation for files is skipped as number of files considered for delete is <PER1>% of total files, which is beyond <PER2>%.\n",
	'desktop_access'                                                         => "Desktop access",
	'do_you_want_to'                                                         => "Do you want to",
	'do_you_want_to_use_yn'                                                  => "Do you want to use this (y/n)?",
	'do_you_want_to_cleanup_empty_directories'                               => "Do you want to cleanup empty directories (y/n)?",
	'do_you_want_to_restart_dashboard'										 => "Do you want to restart dashboard (y/n)?",
	'do_you_want_to_restart_cdp_yn'											 => "Do you want to restart CDP (y/n)?",
	'do_you_want_to_view_more_logs_yn'                                       => 'Do you want to view more logs (y/n)?',
	'do_you_want_to_load_more_results_yn'                                    => 'Do you want to load more results (y/n)?',
	'do_you_want_to_edit_any_other_files_yn'                                 => 'Do you want to edit any other file (y/n)?',
	'display_versions_for_your_file'                                         => 'Display versions for your file',
	'do_you_want_to_continue_yn'                                             => 'Do you want to continue (y/n)?',
	'downloading_evs_binary'                                                 => "Checking for compatible EVS command line utility. It may take couple of minutes to complete, please wait",
	'downloading_auto_evs_binary'											 => "Checking for compatible EVS command line utility",
	'downloading_updated_evs_binary'										 => "Downloading updated EVS command line utility. It may take couple of minutes to complete, please wait",
	'downloading_python_binary'                                              => "Checking for compatible python command line utility. It may take couple of minutes to complete, please wait",
	'downloading_auto_python_binary'                                         => "Checking for compatible python command line utility",
	'downloading_static_perl_binary'                                         => "Checking for compatible static Perl command line utility. It may take couple of minutes to complete, please wait",
	'downloading_auto_static_perl_binary'                                    => "Checking for compatible static Perl command line utility",
	'downloading_updated_static_perl_binary'								 => "Downloading updated static Perl command line utility. It may take couple of minutes to complete, please wait",
	'do_u_want_to_retain_logs'                                               => "Do you want to Retain Logs (y/n)?",
	'do_u_want_to_login_as'                                                  => 'Do you want to login as ',
	'do_u_really_want_to_delete_all_yn'                                      => 'Do you really want to delete all logs (y/n)?',
	'do_u_really_want_to_edit'                                               => 'Do you really want to edit (y/n)?',
	'do_u_want_to_edit'                                                      => 'Do you wish to modify (y/n)?',
	'do_u_wish_to_continue'                                                  => 'Do you wish to continue (y/n): ',
	'dependency_unzip...'                                                    => 'unzip... ',
	'dependency_curl...'                                                     => 'curl... ',
	#'dependency_wget...'                                                    => 'wget... ',
	'does_not_have_sufficient_permissions'                                   => 'does not have sufficient permissions',
	'does_not_exists'                                                        => 'does not exists',
	'do_you_want_to_restore_version_yn'                                      => 'Do you want to restore any specific version (y/n)? ',
	'do_you_want_enter_mount_point'                                          => 'Do you want to enter your mount point manually (y/n)?',
	'do_you_want_enter_mount_point_for_restore'                              => 'Do you want to enter your mount point for restore (y/n)?',
	'software_update_prompt_enabled_with_disable_choice'                     => 'Software update notification is "Enabled". Do you want to "Disable" (y/n)?',
	'software_update_prompt_disabled_with_enable_choice'                     => 'Software update notification is "Disabled". Do you want to "Enable" (y/n)?',
	'do_u_want_to_delete_files_permanently'                                  => 'Do you want to delete these files permanently from your account (y/n)?',
	'do_u_want_to_delete_directories_permanently'                            => 'Do you want to delete these directories permanently from your account (y/n)?',
	'delete_operation_has_been_completed'                                    => 'Delete operation has been completed.',
	'daily_u'                                                                => 'Daily',
	'daily_once'															 => 'Daily Once',
	'do_you_want_to_disable'                                                 => 'Do you want to "Disable" (y/n)?',
	'do_you_want_to_enable'                                                  => 'Do you want to "Enable" (y/n)?',
	'do_you_want_to_have_cut_off_time_for_your_backup_y_n'                   => 'Do you want to have cut off time for your backup (y/n)?',
	'do_you_want_to_enable_email_notification_(_y_n_)'                       => 'Do you want to enable e-mail notification (y/n)',
	'do_you_want_to_disable_email_notification_(_y_n_)'                      => 'Do you want to disable e-mail notification (y/n)',
	'do_you_want_to_change_(_y_n_)'                                 		 => 'Do you want to change (y/n)?',
	'do_you_want_to_change_email_id_(_y_n_)'                                 => 'Do you want to change e-mail ID(s) (y/n)',
	'do_you_want_to_change_email_id_(_s_)_(_y_n_)'                           => 'Do you want to edit your email address(es)(y/n)?',
	'do_you_want_to_show_hidden_(_y_n_)'                                     => 'Do you want to show hidden files/folders (y/n)?',
	'do_you_want_to_disable_desktop_access_(_y_n_)'                          => 'Do you want to disable desktop access (y/n)?',
	'do_you_really_want_to_disable_the_scheduled_backup_job_(_y_n_)'         => 'Do you really want to disable the scheduled backup job (y/n)',
	'do_you_really_want_to_disable_the_scheduled_local_backup_job_(_y_n_)'   => 'Do you really want to disable the scheduled local backup job (y/n)',
	'do_you_really_want_to_disable_the_scheduled_archive_job_(_y_n_)'        => 'Do you really want to disable the Periodic archive cleanup job (y/n)',
	'do_you_really_want_to_disable_the_scheduled_cdp_job_(_y_n_)'        	 => 'Do you really want to disable the scheduled CDP job (y/n)',
	'do_you_want_to_display_software_update_message'                         => 'Do you want to be displayed that software update message in header for all the scripts (y/n)? ',
	'do_you_really_want_to_edit_(_y_n_)'                                     => 'Do you want to edit (y/n)',
	'disable_scheduled_backup_job'                                           => 'Disable Scheduled Backup job',
	'disable_scheduled_archive_job'                                          => 'Disable Periodic Archive Cleanup',
	'disable_scheduled_local_backup_job'                                     => 'Disable Scheduled Local Backup Job',
	'disable_scheduled_cdp_job'                                   			 => 'Disable CDP Job',
	'do_you_want_to_prompt_for_restore_loc'                                  => 'Do you want to be prompted to select restore location every time you perform restore (y/n)? ',
	'do_you_want_to_upload_multiple_chunks'                                  => 'Do you want to Upload multiple file chunks simultaneously (y/n)? ',
	'disabled'                                                               => 'Disabled',
	'do_you_want_to_view_speed_analysis_report'                              => 'Do you want to view speed analysis report (y/n)?',
	'do_you_want_to_send_speed_analysis_report_to_idrive_team'               => "Do you want to send speed analysis report to $AppConfig::appType support team (y/n)?",
	'deleting_speed_test_file_from_your_account'                             => 'Deleting "SPEED_TEST_FILE" from your account...',
	'description_for_speed_test'                                             => " \t1. Using this script, we will be calculating backup upload speed for your $AppConfig::appType account.\n\t2. We will create a sample file and backup to your $AppConfig::appType account and make a note of upload speed.\n\t3. Lastly we will be finding the upload speed via speedtest.net.\n\t4. Speed analysis report will be sent to $AppConfig::appType support team for further observation if ticket number entered.",
	'do_you_want_to_restart_cron_yn'                                         => "Do you want to restart $AppConfig::appType Cron (y/n)?",
	'do_you_want_to_use_this_email_id_for_notif_yn'                          => 'Do you want to use this e-mail id for notifications (y/n)?',
	'do_you_want_to_retain_logs'                                             => 'Do you want to retain logs (y/n)?',
	'dashboard_service_stopped'                                              => 'Dashboard service has stopped. You will not be able to access this machine via Linux web.',
	'does_not_have_sufficient_permissions'                                   => 'does not have sufficient permissions.',
	'does_not_have_execute_permission'                                       => 'does not have executable permission.',
	#'dashBoard_intro_notification'                                          => "\n########################################################################################\n#                                                                                      #\n# We have introduced GUI based access for your Linux scripts.                          #\n# You can view, manage, and monitor your IDrive account activities using it.	       #\n# visit https://www.idrive.com/enterprise/centralized_console/dashboard for more info. #\n#                                                                                      #\n########################################################################################\n",
	#'dashBoard_intro_notification'                                          => "\n========================================================================================\n+                                                                                      +\n+ We have introduced GUI based access for your Linux scripts.                          +\n+ You can view, manage, and monitor your IDrive account activities using it.	       +\n+ visit https://www.idrive.com/enterprise/centralized_console/dashboard for more info. +\n+                                                                                      +\n========================================================================================\n",
	'dashBoard_intro_notification'                                           => "\n++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++\n+                                                                                      +\n+ We have introduced GUI based access for IDrive scripts.                              +\n+ You can use it to view, manage, and monitor your IDrive account activities.	       +\n+ Visit https://www.idrive.com/online-backup-linux for more info.                      +\n+                                                                                      +\n++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++\n",
	#'dashBoard_intro_notification'                                          => "\n----------------------------------------------------------------------------------------\n+                                                                                      +\n+ We have introduced GUI based access for your Linux scripts.                          +\n+ You can view, manage, and monitor your IDrive account activities using it.	       +\n+ visit https://www.idrive.com/enterprise/centralized_console/dashboard for more info. +\n+                                                                                      +\n----------------------------------------------------------------------------------------\n",
	'dashboard_is_not_supported_for_this_arc_yet'							=> "Dashboard is not supported for this machine's architecture yet.",
	'do_you_want_to_go_back_to_main_menu'                                   => 'Do you want to go back to main menu (y/n)?',
	'do_you_want_to_continue_or_skip_yn'                                    => 'Press \'y\' to continue or \'n\' to skip',
	'do_you_want_to_install_pre_req_yn'										=> 'Do you want to install the above packages (y/n)?',
	'done'                                                                  => 'Done',
	'default_service_directory_path'										=> 'Default service directory path',
	'disk_is_full_aborting'													=> 'Disk is full. Aborting.',
    'display'                                                               => 'Display',
	'details_log_header'                                                    => "[DETAILS]",
	'default_exclude_note'													=> 'Note: /proc and /sys folders will be excluded by default, if they are part of the backup set.',
	'do_you_want_to_send_the_speed_test_summary'							=> 'Do you want to send the speed test summary to IDrive support? (y/n)',
	'device_trust_failed'													=> 'Trust device verification has failed.',
#------------------------------------------------- E -------------------------------------------------#
	'enabled'                                                                                => 'Enabled',
	'enter'                                                                                  => 'Enter',
	'enter_your_service_path'                                                                => "Enter your service path [This location will be used to maintain the temporary data used by your scripts] [Optional]: ",
	'enter_your_new_service_path'                                                            => "Enter your new service path [This location will be used to maintain the temporary data used by your scripts] [Optional]: ",
	'enter_your'                                                                             => "Enter your",
	'enter_your_restore_location_optional'                                                   => "Enter your Restore Location [Optional]",
	'enter_your_choice'                                                                      => "Enter your choice: ",
	'enter_your_choice_'                                                                     => "Enter your choice",
	'enter_your_ndedup_backup_location_optional'                                             => "Enter your Backup Location [Note: Backup location should contain valid path] [Optional]",
	'enter_your_backup_location_optional'                                                    => "Enter your Backup Location [Note: Backup location should contain only letters, numbers and characters(-_)] [Optional]",
	'enter_your_backup_location_name_optional'                                               => "Enter your Backup Location name [Note: Backup location name should contain only letters, numbers and characters(-_)] [Optional]",
	'encryption_key_and_confirm_encryption_key_must_be_the_same'                             => "Encryption key and confirm encryption key must be the same.",
	'enter_the_encryption_key'                                                               => "Enter the encryption key",
	'enter_keyword'                                                               			 => "Enter the keyword",
	'enter_your_backup_location_non_dedup'                                                   => "Enter your Backup Location [Optional]",
	'enter_percentage_of_files_for_cleanup'                                                  => "Enter the percentage limit beyond which cleanup will not take place [1-100]: ",
	'enter_percentage_of_files_for_cleanup_periodic'                                         => "Enter the percentage limit beyond which cleanup will not take place.",
	'end_time'                                                                               => "End Time: ",
	'enter_proxy_server_ip'                                                                  => "Enter Proxy Server IP",
	'enter_proxy_server_port'                                                                => "Enter Proxy Server Port",
	'enter_proxy_server_username_if_set'                                                     => "Enter Proxy Server username if set",
	'enter_proxy_server_password_if_set'                                                     => "Enter Proxy Server Password if set",
	'enter_backupset_rescan_interval_in_days'												 => 'Enter backupset rescan interval in days [1-30]: ',
	'edit_your_account_details'                                                              => "Edit your account details",
	'exit'                                                                                   => "Exit",
	'email_address'                                                                          => "e-mail address",
	#'enter_your_choice'                                                                     => "\nEnter your choice: ",
	'encryption_key_must_be_minimum_4_characters'                                            => "Encryption key must contain 4 to 256 characters. Please try again",
	'encryption_key_must_be_minimum_6_characters'                                            => "Encryption key must contain 6 to 250 characters. Please try again",
	'encryption_key_cannot_contain_blank_space'                                              => "Encryption key cannot contain blank space.",
	'edit_proxy'                                                                             => "Proxy details",
	'edit_service_path'                                                                      => "Service path",
	'enter_your_email_id'                                                                    => "Enter your e-mail address [Optional]",
	'enter_your_email_id_mandatory'                                                          => "Enter your e-mail address",
	'enter_again'                                                                            => 'Enter again',
	'enter_your_input'                                                                       => 'Enter your input',
	'enter_log_start_date__'                                                                 => 'Enter start date (MM/DD/YYYY)',
	'enter_log_end_date__'                                                                   => 'Enter end date (MM/DD/YYYY)',
	'enter_sno_to_view_log'                                                                  => 'Enter the S.No. to view log',
	'error_in_display_log'                                                                   => 'Error in display log',
	'edited_successfully'                                                                    => 'Edited successfully.',
	'exclude_title'                                                                          => 'Exclude',
	'edit_backup_file'                                                                       => 'Edit your Backupset',
	'edit_localbackup_file'                                                                  => 'Edit your Local Backupset',
	'edit_full_exclude_file'                                                                 => 'Edit your Full Path Exclude List',
	'edit_partial_exclude_file'                                                              => 'Edit your Partial Path Exclude List',
	'edit_regex_exclude_file'                                                                => 'Edit your Regex Exclude List',
	'edit_restore_file'                                                                      => 'Edit your Restoreset',
	'edit_localrestore_file' 																 => 'Edit your Local Restoreset',
	'error_in_terminating'                                                                   => 'Error in terminating',
	'enter_valid_location'                                                                   => 'Enter valid location',
	'evs_binary_downloaded_successfully'                                                     => "Successfully downloaded compatible EVS command line utility.\n",
	'static_perl_binary_downloaded_successfully'                                             => "Successfully downloaded compatible static Perl command line utility.",
	'enter_bw_value'                                                                         => 'Enter bandwidth throttle value [1-100]: ',
	'enter_failed_files_percentage_to_notify_as_failure'                                     => 'Enter failed files percentage to notify as \'Failure\' [0-10]: ',
	'enter_missing_files_percentage_to_notify_as_failure'                                    => 'Enter missing files percentage to notify as \'Failure\' [0-10]: ',
	#'enter_the_s_no_to_select_your_'                                                        => 'Enter the serial no to select your ',
	'enter_the_serial_no_to_select_your'                                                     => "Enter the S.No. to select your ",
	'enter_the_serial_no_press_keys_to_go_back_or_exit'                                      => 'Enter the S.No or press "p" to go to previous menu or "e" to exit.',
	'exists'                                                                                 => 'exists',
	'enter_your_file_path'                                                                   => 'Enter your file path',
	'execution_failed'                                                                       => 'Execution failed',
	'exiting_title'                                                                          => 'Exiting',
	'encryption_verification_failed'                                                         => 'Encryption verification failed',
	'enter_your_restore_from_location_optional'                                              => 'Enter your Restore From location [Optional] ',
	'enter_your_local_restore_from_location_optional'                                        => 'Enter your Local Restore From location [Optional] ',
	'enter_mount_point'                                                                      => 'Enter your mount point: ',
	#'encryption_key_and_confirm_encryption_key_must_be_the_same'                            => "Encryption key and confirm encryption key must be the same",
	'encryption_key_is_set_successfully'                                                     => 'Encryption key is set successfully.',
	'enter_time_of_the_day_when_backup_is_supposed_to_run'                                   => 'Enter time of the day when backup is supposed to run.',
	'enter_hour_0_-_23'                                                                      => 'Enter Hour (0-23)',
	'enter_minute_0_-_59'                                                                    => 'Enter Minute (0-59)',
	'enter_the_day_s_of_week_for_the_scheduled_backup_job'                                   => 'Enter the day(s) of week for the scheduled backup job.',
	'email_notification'                                                                     => 'E-mail notification',
	'email_notification_status'                                                              => 'E-mail notification status',
	'email_address_(_es_)'                                                                   => 'E-mail address(es)',
	'enter_your_e_mail_id_(_s_)_[_for_multiple_e_mail_ids_use_(_,_)_or_(_;_)_as_separator_]' => 'Enter your e-mail ID(s) [For multiple e-mail IDs use (,) or (;) as separator]',
	'enter_percentage_of_files_for_periodic_cleanup'                                         => 'Enter Percentage [5-25]: ',
	'enter_the_days_for_cleanup'                                                             => 'Enter the days [5-30]: ',
	'edit_failed_backup_per'                                                                 => 'Failed files(%)',
	'edit_missing_backup_per'                                                                => 'Missing files(%)',
	'edit_rescan'																			 => 'Rescan',
	'edit_rescan_frequency'																	 => 'Rescan frequency',
	'existing_service_directory_is_as_same_as_the_new'                                       => 'Existing service directory is as same as the new.',
	#'exclude_backup_notice'																	 => 'Some of the files/folders selected for backup may have been excluded from the operation. To view excluded files/folders, go to "Exclude Files/Folders from backup" section of "edit_supported_files.pl" in IDrive scripts.',
    'exclude_backup_notice'																	 => '**Some of the items selected for backup may have been excluded. Please refer to the EXCLUDE SET section above in this log to view the list of excluded items.',
	'enter_sno_press_p_or_e_to_exit'														 => 'Enter the S.No or press "p" to go to previous menu or "e" to exit',
	'enter_sno_to_select_mount_point'														 => 'Enter the S.No. to select mount point. Press \'q\' in case your mount point is not listed above: ',
	'evs_binary'                                                                             => 'EVS command line utility',
	'enabling_your_desktop_access'                                                           => 'Enabling your desktop access',
	'empty_directories_are_present_in_your_account'                                          => 'empty directories are present. ',
	'empty_directory_is_present_in_your_account'                                             => 'empty directory is present in your account. ',
	'empty_directories_delete_progress'                                                      => "Empty Directories Delete Progress\n=================================\n",
	'empty_directory_considered_for_delete'                                                  => 'Empty directories considered for delete: ',
	'empty_directory_deleted_now'                                                            => 'Empty directories deleted now: ',
	'empty_directory_failed_to_delete'                                                       => 'Empty directories failed to delete: ',
    'empty_dir_delete_operation_completed'                                                   => "Empty directory delete operation has been completed.",
	'exclude_set'																			 => '[EXCLUDE SET]'."\n".(('-') x 13),
	'engine'																			     => 'Engine',
	'estimated_time_left'												           			 => 'Time Left',
	'enter_linux_distribution_version'                                                       => 'Enter your Linux distribution version',
#------------------------------------------------- F -------------------------------------------------#
	'failed'                                            => "Failed!!!",
	'failed_to_authenticate'                            => "Failed to authenticate. ",
	'failed_to_authenticate_user'                       => "Failed to authenticate user ",
	'failed_to_authenticate_username'                   => 'Failed to authenticate user "__USER__". ',
	'failed_to_authenticate_user_associated'            => 'Failed to authenticate user "__USER__" associated with "__EMAILID__". ',
	'failed_to_create_directory'                        => "Failed to create directory",
	'failed_to_create_utf8_file'                        => "Failed to create utf8 file",
	'failed_to_encrypt'                                 => "Failed to encrypt",
	'failed_to_fetch_server_address'                    => "Failed to fetch server address",
	'failed_to_load_user_configuration'                 => "Failed to load user configuration",
	'failed_to_set_backup_location'                     => "Failed to set backup location.",
	'failed_to_set_restore_location'                    => "Failed to set restore location.",
	'failed_to_set_restore_from'                        => "Failed to set restore from location.",
	'failed_to_set_restore_from_prompt'                 => "Failed to set restore from location prompt status.",
	'failed_to_set_software_update_notification'        => "Failed to set software update notification prompt.",
	'failed_to_set_email_id'                            => "Failed to set e-mail id.",
	'failed_to_set_retain_log'                          => "Failed to set retain log.",
	'failed_to_set_backup_type'                         => "Failed to set backup type.",
	'failed_to_install_user_files'                      => "Failed to install user files.",
	'failed_to_install_following_packages'				=> 'Failed to install the following packages: ',
	'found'                                             => 'found.',
	'file_scanned'										=> 'File Scanned',
	'file_not_found'                                    => 'File not found.',
	'file_folder_not_found'                             => 'File/Folder not found.',
	'file_is_empty'                                     => 'File is empty',
	'failed_to_open_directory'                          => "Failed to open directory",
	'failed_to_open_file'                               => "Failed to open file",
	# 'failed_to_load_crontab'                          => 'Failed to load crontab',
	'failed_to_load_crontab'                            => '',
	'failed_to_start_cdp_service'						=> 'Failed to start CDP service',
	'failed_to_restart_idrive_services'                 => "Failed to restart $AppConfig::appType Cron service.",
	'failed_to_start_dashboard_service'                 => 'Failed to start Dashboard service',
	'failed_to_restart_dashboard_service'               => 'Failed to restart dashboard service',
	'failed_to_stop_dashboard_service'                  => 'Failed to stop Dashboard service',
	'files_scanned'                                     => "Files Scanned :",
	'files_are_present_in_your_account'                 => "files are present in your account but not in your local machine. ",
	'file_is_present_in_your_account'                   => "file is present in your account but not in your local machine. ",
	'failure'                                           => "Failure",
	'for_more_details_refer_the_log'                    => 'For more details run "logs.pl" and follow the instructions.',
	'for_linux_user_feed'                               => 'for Linux User Feedback',
	'failed_to_report_error'                            => 'Failed to report error',
	'file'                                              => 'file',
	'files_considered_for_delete'                       => 'Files considered for delete: ',
	'files_deletes_now'                                 => 'Files deleted now: ',
	'files_failed_to_delete'                            => 'Files failed to delete: ',	
	'from_location_is_title'                            => 'From Location is',
	'from_location_remains'                             => 'from location remains',
	'failed_to_connect'                                 => 'Failed to connect',
	'failed_to_encode_private_key'                      => 'Failed to encode private key. Please try again.',
	'failed_to_clear_screen'                            => "Failed to Clear screen",
	'failed_to_delete_files'                            => "Failed to delete files",
	'file_not_found'                                    => 'File not found',
	'failed_to_getserver_addr'                          => 'Failed to get server address.',
	'failed_to_open'                                    => 'Failed to open',
	'for_restore_version_option'                        => 'for restoreVersion option',
	'failed_to_update'                                  => 'Failed to Update.',
	'failed_to_set_restore_from_location'               => 'Failed to set restore from location. Reason: No such file or directory.',
	'failed_to_send_mail'                               => 'Failed to send mail.',
	'failed_to_get_machine_uid'                         => 'Failed to get machine uid.',
	'failed_to_save_user_configuration'                 => 'Failed to save user configuration.',
	'for_output_parsing'                                => 'for Output Parsing',
	'files_considered_for_backup'                       => 'Files considered for backup: ',
	'files_backed_up_now'                               => 'Files backed up now: ',
	'files_already_present_in_your_account'             => 'Files already present in your account: ',
	'files_already_present_in_your_account_conditional' => 'Files already present* in your account: ',
	'files_already_present_in_your_restore_location'    => 'Files already present in your Restore Location: ',
	'files_failed_to_backup'                            => 'Files failed to backup: ',
	'files_considered_for_restore'                      => 'Files considered for restore: ',
	'files_restored_now'                                => 'Files restored now: ',
	'files_failed_to_restore'                           => 'Files failed to restore: ',
	# 'files_in_trash_may_get_restored_notice'            => "* If files are in Trash, they may be restored directly to the account if the files match your backupset items during backup.\n These files will be included in the 'Files already present' count.",
    'files_in_trash_may_get_restored_notice'            => "** If the files for backup are present in trash then it will be restored directly to your account. These files will be included in the 'Files already present' count.",
	'failed_to_kil'                                     => 'Failed to kill ',
	'failed_to_lock'                                    => 'Failed to lock the file ',
	'frequency'                                         => 'Frequency',
	'fri_u'                                             => 'Fri',
	'failed_to_create_service_location_file'            => 'Failed to create service location file.',
	'failed_to_restart_cron'                            => "Failed to restart $AppConfig::appType Cron",
	'failed_to_start_cron'                              => "Failed to start $AppConfig::appType Cron",
	'file_has_been_edited_successfully'                 => ' File has been edited successfully.',
	'from_path'                                         => 'from path',
	'failed_to_run_script'                              => 'Failed to run the script ',
	'finishing_rescan'									=> 'Finishing rescan',
	'failed_to_reindex_database'                        => 'Failed to re-index the database.',
	'failed_to_set_encryption_key'                      => 'Failed to set encryption key.',
	'failed_to_update_cron'                      		=> "Failed to update $AppConfig::appType Cron. ",
	'failed_to_restore_settings'                        => "Failed to Restore settings",
	'failed_to_configure'                               => "Failed to configure. Reason: ",
	'failed_to_fetch_quota'                             => "Failed to fetch quota. Reason: ",
	'files_delete_progress'                				=> "Files Delete Progress\n=====================\n",
	'files_delete_operation_completed'                  => "File delete operation has been completed.",
	'failed_to_install_db_uzip_curl_dep'				=> 'Failed to install [Database/unzip/curl] dependency package(s)',
	# 'failed_to_install_file_notify_dependencies'		=> 'Failed to install File Notification dependency packages', # review change
	'failed_to_install_file_notify_dependencies'		=> 'Unable to install prerequisites for CDP',
	'full_path_exclude'									=> 'Full path exclude',
	'following_packages_will_be_att_installed'			=> 'Following packages will be attempted to install',
	'following_packages_installed_to_continue'			=> 'Do you want to install the above packages to continue further (y/n)?',
	'file_s'											=> 'file(s)',
	'files_count' 										=> 'Files Count : <CC> (C) / <RC> (R)',
	'failed_to_complete_preupdate'						=> 'Failed to complete pre-update check',
    'files_to_backup'                                   => 'Files to backup: ',
    'failed_to_backup'                                  => 'Failed to backup: ',
	'failed_to_start_service'							=> "Failed to start $AppConfig::appType service",
	'failed_to_restart_service'							=> "Failed to restart $AppConfig::appType service",
	'failed_to_fetch_the_speedtest_result'				=> 'Failed to fetch the speedtest result. To continue you need to run the speedtest via browser or command manually.',
#------------------------------------------------- G -------------------------------------------------#
#------------------------------------------------- H -------------------------------------------------#
	'hardware_platform'               => "Hardware Platform",
	'has_been_edited_successfully'    => ' has been edited successfully.',
	'has_been_scheduled_successfully' => ' has been scheduled successfully.',
	'hourly_u'                        => 'Hourly',
	'HTTP'							  => 'HTTP',
	'HTTPS'							  => 'HTTPS',
    'heading_backup_output'		      => "[".((' ') x 6)."BACKUP TIME".((' ') x 7)."] [STATUS ] [   BACKUP  ] [ FILE NAME ] [ FILE SIZE ]",
    'heading_restore_output'		  => "[".((' ') x 6)."RESTORE TIME".((' ') x 6)."] [STATUS ] [  RESTORE  ] [ FILE NAME ] [ FILE SIZE ]",
#------------------------------------------------- I -------------------------------------------------#
	'idrive_maintainer'                            => "IDrive Inc.",
	'invalid_email_address'                        => 'Invalid e-mail address(es):',
	'invalid_single_email_address'                 => 'Invalid e-mail address.',
	'invalid_contact_number'                       => 'Invalid contact number',
	'invalid_username_pattern'                     => 'Invalid username',
	'invalid_choice'                               => 'Invalid choice.',
	'invalid_choice_please_try_again'              => 'Invalid choice.Please try again.',
	'invalid_ticket_number'                        => 'Invalid ticket number',
	'invalid_email_addresses_are_'                 => 'Invalid e-mail address(es) are: ',
	'invalid_input'                                => 'Invalid Input.',
	'invalid_option'                               => "Invalid Option.",
	'invalid_service_directory'                    => "Your account is not configured. \nPlease configure your account using account_setting.pl and try again.",
	'invalid_date_or_format'                       => 'Invalid date or date format',
	'in_progress'                                  => 'in progress',
	'invalid_location'                             => 'Invalid Location',
	'invalid_restore_loc_in_trash'                 => 'Invalid Restore From location. Reason: directory exists in trash.',
	'invalid_res_loc_no_path'                      => 'Invalid Restore From location. Reason: path does not exist.',
	'invalid_ip_address'                           => 'Invalid IP Address.',
	'invalid_port_number'                          => 'Invalid port number.',
	'invalid_enc_key'                              => 'Invalid encryption key. Please try again.',
	'invalid_enc_key_relogin'                      => "Invalid encryption key. Please re-login to your account using login.pl.",
	'is_already_logged_in_wanna_logout'            => ' is already logged in. Do you want to logout (y/n)?',
	'is_logged_in_successfully'                    => ' is logged in successfully',
	'ibackup_maintainer'                           => "Pro Softnet Corporation.",
	'invalid_zip_file'                             => 'Invalid zip file. Please download the expected zip file from the link mentioned below and try again.',
	'invalid_archive_percent'                      => 'Invalid value. Percentage must be between 1-100. Please try again.',
	'items_considered_for_delete'                  => 'Items considered for delete: ',
	'items_deletes_now'                            => 'Items deleted now: ',
	'items_failed_to_delete'                       => 'Items failed to delete: ',
	'invalid_mount_point'                          => 'Invalid mount point. Please try again.',
	'input_empty_err'                              => 'Invalid entry. Please try again: ',
	'invalid_user_pattern'                         => 'Invalid UserName. Please try again.',
	'invalid_password_pattern'                     => 'Invalid Password',
	'invalid_private_key_pattern'                  => 'Invalid Private Key',
	'invalid_file_path'                            => 'Invalid file path',
	'invalid_file_folder_path'                     => 'Invalid file/folder path.',
	'invalid_bkp_location_config_again'			   => 'Invalid Backup Location. Please Edit your Backup Location using account_setting.pl and try again.',
	'invalid_res_loc_edit_loc_acc_settings'        => "Invalid Restore From location. Please Edit your Restore From location using $AppConfig::idriveScripts{'account_settings'} and try again.",
	'invalid_version'                              => 'Invalid version',
	'invalid_field_type_to_validate'               => "Invalid field type to validate.\n",
	'invalid_restore_location'                     => 'Invalid Restore Location ',
	'is_upto_date'                                 => 'is up to date.',
	'invalid_backup_location'                      => 'Invalid Backup Location ',
	'invalid_entry_try_again'                      => 'Invalid entry. Please try again.',
	'invalid_percentage'                           => 'Invalid percentage.',
	'invalid_parameter'                            => 'Invalid parameter',
	'invalid_update_package'                       => 'Invalid update package.',
	'immediate_job_type'                           => 'Immediate',
	'is_already_having_active_setup_path'          => 'is already having an active script setup with path',
	'it_will_teminate_scheduled_jobs_of_this_user' => 'It will also terminate the jobs scheduled by this user.',
	'if_total_files_failed_for_backup'             => 'If the total files failed for backup is more than __ARG1__%, then backup will be notified as failure. ',
	'is_logged_out_successfully'                   => 'is logged out successfully.',
	'if_total_files_missing_for_backup'            => 'If the total files missing for backup is more than __ARG1__%, then backup will be notified as failure. ',
	'ignore_permission_denied'                     => 'Ignore file/folder level permission error',
	'invalid_nfb'                                  => "Invalid failed files percentage to notify as 'Failure'.",
	'invalid_nmb'                                  => "Invalid missed files percentage to notify as 'Failure'.",
	'invalid_bwt'                                  => "Invalid bandwidth throttle.",
	'insufficient_permission_to_remove_dir' 	   => 'Insufficient permissions for "___LINUXUSER___" to remove ___DIRNAME___ directory. Please provide ___SUDOROOT___ password to continue:',
	'invalid_username_or_password' 	   			   => "Invalid username or Password. ",
	'identifying_your_backup_location_please_wait' => 'Identifying your backup location, please wait...',
	'installing_linux_dependencies'					=> 'Installing dependency packages. Please wait...',
	# 'installing_updating_perl_cpan_dependencies'	=> 'Installing/Updating Perl CPAN dependency packages',
	'installing_perl_dependency'					=> 'Installing Perl CPAN Dependencies',
	# 'installing_linux_dependencies'					=> "Installing Dependencies/package(s) for $AppConfig::appType scripts",
	'installing'									=> 'Installing',
 	'installation_has_been_completed'				=> 'Installation has been completed.',
    'invalid_version'								=> 'Invalid version.',
	'idrive_login'                                  => 'Login using IDrive credentials',
    'item_file_fetching_version_for_file'           => 'Item you have entered is a file. Fetching version(s) for your file...',
    'item_directory_fetching_version_for_directory' => 'Item you have entered is a directory. Fetching version(s) for your directory...',
#------------------------------------------------- J -------------------------------------------------#
	'job_terminated_successfully'            => 'job has been cancelled successfully.',
	'job'                                    => 'job',
	'job_name'                               => 'Job Name',
	'job_has_been_disabled_successfully'     => ' job has been disabled successfully.',
	'job_has_been_scheduled_successfully_on' => ' job has been scheduled successfully ',
	'job_has_been_cancelled'			     => ' job has been cancelled.',
	'jobs_are_cancelled'			    	 => ' jobs are cancelled.',
	'job_details'			    	         => ' job details:',
#------------------------------------------------- K -------------------------------------------------#
	'kindly_verify_ur_proxy' =>'Kindly verify your network connection or proxy details and try again.',
#------------------------------------------------- L -------------------------------------------------#
	'logged_in_user'                               => "$AppConfig::appType Username:",
	'linux_user'                               	   => "Linux Username:",
	'linux_backup'                                 => 'Linux Backup',
	'last_one_week'                                => 'Last one week',
	'last_two_weeks'                               => 'Last two weeks',
	'last_30_days'                                 => 'Last 30 days',
	'log_list'                                     => 'Log List',
	'log_displayed_successfully'                   => 'Log displayed successfully',
	'location_will_terminate'                      => 'location will terminate',
	'location'                                     => 'location',
	'location_is_set_to'                           => 'Location is set to',
	'loading_your_acc_details'                     => 'Loading your account details',
	'login_&_try_again'                            => "Please login to your $AppConfig::appType account using login.pl and try again.",
	'logout_&_login_&_try_again'                   => "Logout and re-login to your $AppConfig::appType account using login.pl and try again.",
	'location_press_enter_to_go_back_to_main_menu' => " location [Press enter to go back to main menu].",
	'loading_mount_points'                         => 'Loading information for all mount points...',
	'loading_your_account_details_please_wait'     => 'Loading your account details. Please wait...',
	'localbackup'                                  => "Local Backup",
	'localbackup_job'                              => 'Local Backup job',
	'localbackup_running'                          => "Local Backup job is in progress.",
	'localbackup_not_running'                      => "No Local Backup job is running.",
	'logging_out_from_your_account_will_terminate' => 'Logging out from your account will terminate',
	'localbackup_progress'                         => "Local Backup Progress\n=======================        \n",
	'localbackup_in_progress_try_again' 		   => 'Local Backup in progress. Please try again later.',
	'last_backupset_scan_failed'				   => 'Last backupset scan did not complete',
	'localrestore_progress'                        => "Local Restore Progress\n=======================        \n",
	'localrestore' 								   => "Local Restore",
	'localrestore_job' 							   => 'Local Restore job',
	'localrestore_running' 						   => "Local Restore job is running",
	'localrestore_not_running' 					   => "Local Restore job is not running",
	'local_restore_title' 						   => "Local Restore",
	'local_backup'                                 => 'Local Backup',
	'local_backup_title'                           => 'Local Backup',
	'local_backup_logs'                            => "Local Backup Logs",
	'local_restore_logs'                           => "Local Restore Logs",
    'localrestore_in_progress_try_again'           => 'Local Restore is in progress. Please try again later.',
	'local_backup_job_started_successfully'        => 'Local Backup job will begin shortly.',
	'local_backup_running'                         => "Local Backup job is in progress.",
	'local_restore_running'                        => "Local Restore job is in progress.",
	'local_restore_list_running'                   => "Local Restore listing is in progress.",
	'local_backupset_db_updated_successfully'	   => 'Local Backupset Database updated successfully',
    'local_restore_from_doesnt_have_data'          => 'Local restore from location "<DATA>" does not contain any data.',
	'local_backup_job_is_already_in_progress_try_again'                                     => 'Schedule Local Backup job is already in progress. Modifying the scheduler parameters will interrupt the job and it will restart only at the modified time. ',
	'local_restore_from_location_should_contain_only_letters_numbers_space_and_characters'  => 'Reason: Local restore from location should contain only letters, numbers and special characters(-,_).',
	'local_restore_from_location_should_be_one_to_sixty_five_characters'                    => "Reason: Local restore from location must be less than 65 characters.",
	'localbackupset_scan_request_placed_successfully'								        => 'Local Backupset scan request placed successfully',
	'localbackupset_scan_request_failed'												    => 'Local Backupset scan request failed',
	'localbackup_scan_progress'														        => "Local Backup Scan Progress\n==========================    \n",
	'localbkpscan_job'																        => 'Local Backup Set Scan',

#------------------------------------------------- M -------------------------------------------------#
	'multiple_backup_locations_are_configured' => "Multiple Backup Locations are configured with this account",
	'manual_backup'                            => "Manual backup",
	'manual_restore'                           => "Manual restore",
	'manual_localBackup'                       => "Manual local backup",
	'manual_archive'                           => "Manual archive",
	'manual_backup_running'                    => "Manual Backup Job is running",
	'manual_localbackup_running'               => "Manual Local Backup Job is running",
	'manual_scheduled_backup_jobs_running'     => "Backup jobs are running.",
	'manual_scheduled_backup_archive_running'  => "Backup/archive Jobs are running",
	'backup_not_running'                	   => "No Backup Job is running",
	'restore_not_running'               	   => "No Restore Job is running",
	'localbackup_not_running'           	   => "No Local Backup job is running.",
	'manual_backup_set'                        => "Manual backupset",
	#'manual_archive_running'                  => "Manual archive job is running",
	'message'                                  => 'Message',
	'machine_details'                          => 'Machine Details',
	'max_retry_exceeded'                       => 'Maximum retry exceeded',
	'menu_options_title'                       => 'Menu Options',
	'move_file'                                => 'move file',
	'mount_point'                              => 'Mount point',
	'mount_point_not_exist'                    => 'Mount point does not exist. Please try again.',
	'mount_point_doesnt_have_permission'       => 'Mount point does not have sufficient permissions. Please try again.',
	'mount_point_doesnt_have_user_data'        => "Mount point does not have data for this $AppConfig::appType user. Please try again.",
	'max_retry'	                               => 'Your Maximum retry attempts reached. Please try again.',
	'menu_options'                             => 'Menu Options',
	'mon_u'                                    => 'Mon',
	'do_you_want_to_migrate_user_data'         => "Your scripts data is in older format and must be migrated to newer format to use the latest version of scripts. \nDo you wish to continue with the migration (y/n)? ",
	'migrate_reject_try_again'                 => 'You must migrate your scripts data to the newer format to continue.',
	'migration_process_initiated'              => 'Migration process initiated',
	'migration_process_starting'               => 'Starting migration process...',
	'migration_process_completed'              => 'Migration process completed',
	'manual'                                   => 'manual',
	'multiple_acc_are_associated_with_email'   => 'Multiple accounts are associated with your email. Select a username to continue:',
	'minutes'									=> 'minutes',
	'moving_to_failed_commit'					=> 'Moving to failed commit',
	'moving_to_commit_vault'					=> 'Moving to commit vault',
	'modifying_backup_location_name' 			=> 'Modifying your backup location name...',
#------------------------------------------------- N -------------------------------------------------#
	'next_schedule'                                                                      => 'Next Schedule',
	'no'                                                                                 => 'No',
	'no_job_is_running_for_progress'                                                     =>	'No Backup/Local Backup/CDP/Restore/Archive Cleanup/Scan Job is running.',
	'no_job_is_in_progress'                                                              => "No Job is in progress.",
	'no_logged_in_user'                                                                  => "No logged in user",
	'no_such_directory_try_again'                                                        => "No such directory. Please try again.",
	'no_devices_found'                                                                   => 'No devices found.',
	'not_found'                                                                          => 'Not found.',
	'note_title'																			=> 'Note',
	#'note_backup_to_device_name_should_contain_only_letters_numbers_space_&_characters' => "[Note: Backup location should contain only letters, numbers, space and characters(.-_)]",
	'note_backup_to_device_name_should_contain_only_letters_numbers_space_&_characters'  => "[Note: Backup location should contain only letters, numbers and characters(-_)]",
	'no_message_entered'                                                                 => 'No message entered',
	'no_logs_found'                                                                      => 'No logs found',
	'__note_please_press_ctrlc_exit'                                                     => 'Note: Please press CTRL+C to exit.',
	'__note_restore_loc_indicate_restore_loc'                                            => 'Note: Your Restore From location should indicate the location from which you want to restore the data.',
	'no_emails_configured'                                                               => "No e-mail address is configured.",
	'need_to_update_service_dir'                                                         => 'Need to update service directory.',
	'new_update_is_available'                                                            => "A new update is available, run check_for_update.pl to update to latest package.",
	'no_version_found'                                                                   => 'No version found',
	'no_version_found_for_given_file'                                                    => 'No version found for given file',
	'no_such_directory'                                                                  => "No such directory.",
	'new_updates_available_want_update'                                                  => 'New updates are available. Do you want to update (y/n)?',
	'no_updates_but_still_want_to_update'                                                => 'No update is available. Do you still want to update to latest package(y/n)?',
	'__note_scheduled_backupset_considered_for_archive'                                  => 'Note: Your scheduled backupset will be considered for archive cleanup.',
	'new_service_dir_must_not_be_sub_dir_of_old'                                         => 'New service directory path must not be a sub directory of old.',
	'note_:_use_comma_separator_for_selecting_multiple_days_(_e_g_1_3_5_)'               => 'Note: Use comma separator for selecting multiple days (E.g. 1,3,5).',
	'notify_always'                                                                      => 'Notify always',
	'notify_failure'                                                                     => 'Notify on failure',
	'number_of_days_of_the_month_after_which_it_should_be_automatically_cleaned_up'      => 'Number of days in a month, after which data is automatically cleaned up for your backup set.',
	'no_changes_has_been_made'                                                           => 'No changes have been made.',
	'no_user_is_logged_in'                                                               => "No user is logged in.",
	'notify_software_update'                                                             => 'Software update notification',
	'not_a_regular_file'                                                                 => 'Not a regular file/folder.',
	'no_scan_job_in_progress'															=> 'No scan job in progress.',
	'no_help_found'                                                                      => 'No help content found.',
	'note_for_replace_computer'                                                          => "Note: To view your imported settings re-run $AppConfig::idriveScripts{'account_settings'}.",
	'no_backup_location_found_please_create_new_one'                                     => 'No backup location found.',
	'no_schedule_job'                                                                    => 'No active scheduled jobs',
	'no_files_to_delete'                                                                 => 'No files to delete.',
	'no_empty_directories_to_delete'                                                     => 'No empty directories to delete.',
	'no_items_to_cleanup'                                                                => 'No items to cleanup.',
	'no_items_to_backup'                                                                 => 'No items to backup.',
	'no_items_to_restore'                                                                => 'No items to restore.',
	'note_completed_remaining'                                                           => 'Note: Here (C) stands for \'Completed\' and (R) stands for \'Remaining\'.',
    '--not_applicable--'                                                                 => '--Not applicable--',
#------------------------------------------------- O -------------------------------------------------#
	'operation'                                         => "Operation",
    'operation_has_been_aborted'                        => "Operation has been aborted.",
	'operation_not_permitted'                           => "Operation not permitted",
	'opening_log_file'                                  => 'Opening Log file',
	'opening_file_to_edit'                              => 'Opening file to edit...',
	'opening_file_to_view'                              => 'Opening file to view...',
	'operation_could_not_be_completed_reason'           => 'Operation could not be completed. Reason: ',
	'operation_could_not_be_completed_please_try_again' => 'Operation could not be completed. Please try again.',
	'operation_cancelled_by_user'                       => 'Operation could not be completed. Reason: Operation cancelled by user.',
	'operation_cancelled_due_to_cutoff'                 => "Operation could not be completed. Reason: Operation cancelled due to Cut off.",
	'once_in_x_days'									=> 'Once in __ days',
	'operation_cancelled_due_to_desktop_access'         => "Operation could not be completed. Reason: Desktop access has been blocked.",
	'os_details'                                        => "OS details",
	'operation_cancelled_due_to_cron_reset'             => 'Operation could not be completed. Reason: Cron service reset.',
	'operation_cancelled_due_to_service_dir_change'     => 'Operation could not be completed. Reason: Service directory has been changed.',
	'operation_cancelled_from_dashboard'                => 'Operation could not be completed. Reason: Operation cancelled by user from dashboard.',
	'operation_cancelled_due_to_account_switch'         => 'Operation could not be completed. Reason: User has switched the account.',
	'operation_cancelled_due_to_logout'					=> 'Operation could not be completed. Reason: User account has been logged out.',
	'ok_c'												=> 'OK',
#------------------------------------------------- P -------------------------------------------------#
	'perl_binary'                                       => "Perl command line utility ",
	'permission_denied'                                 => "Permission denied.",
	'password'                                          => "password",
	'password_missing'                                  => 'Password is missing.',
	'please_configure_your'                             => "Please configure your",
	'private_encryption_key'                            => "Private encryption key",
	'profile_name'                                      => 'Profile Name',
	'proxy_server'                                      => 'Proxy Server',
	'please_try_again'                                  => 'Please try again.',
	'passwords_do_not_match'                            => 'Username and Password not matching each other. Please try again.',
	'press_esc_q_and_enter_to_exit_vi_editor'           => 'Press "Esc key" followed by ":wq!" and "Enter key" to exit from vi editor',
	'please_wait_title'                                 => 'Please Wait',
	'please_enter_restore_from_location_continue'       => 'Please enter Restore From location to continue',
	'please_login_again'                                => 'Please login again',
	'please_login_account_using_login_and_try'          => "Please login to your $AppConfig::appType account using login.pl script and try again.",
	'please_provide_your_details_below'                 => "Dear User, Please provide your details below.",
	'press_enter_to_go_back_to_main_menu'               => "Press enter to go back to main menu",
	'please_enter_restore_loc_cont'                     => 'Please enter Restore Location to continue',
	'please_provide_permission_try'                     => 'Please provide proper permission and try again',
	'provide_the_version_no_for_file'                   => 'Provide the Version No. for file',
	'path_not_found'                                    => 'path not found',
	'please_check_internet_con_and_try'                 => 'Please check your Internet connectivity and try again.',
	'please_cp_perl_from'                               => 'Please copy Perl libraries from',
	'please_update'	                                    => 'Please run "edit_supported_files.pl" and follow the instructions to update.',
	#'periodic_archive_running'                         => "Periodic archive job is running",
	'periodic_cleanup_operation'                        => "Periodic Cleanup Operation",
	'periodic_cleanup'                                  => 'Periodic Cleanup',
	'press_keys_to_close_vi_editor'                     => 'Press "Esc key" followed by ":wq!" and "Enter key" to exit from editor.',
	'press_keys_to_quit_vi_editor'                      => 'Press "Esc key" followed by ":q!" and "Enter key" to exit from editor.',
	'press_keys_to_close_vim_editor'                    => 'Press "Esc key" followed by ":wq!" and "Enter key" to exit from editor.',
	'press_keys_to_quit_vim_editor'                     => 'Press "Esc key" followed by ":q!" and "Enter key" to exit from editor.',
	'press_keys_to_close_nano_editor'                   => 'Press "Ctrl+O" followed by "Ctrl+X" keys to save and exit from editor.',
	'press_keys_to_quit_nano_editor'                    => 'Press "Ctrl+X" keys to exit from editor.',
	'press_keys_to_close_ee_editor'                     => 'Press "Ctrl+[" keys and choose the option from menu to save & exit from editor.',
	'press_keys_to_quit_ee_editor'                      => 'Press "Ctrl+[" keys and choose the option from menu to exit from editor.',
	'press_keys_to_close_emacs_editor'                  => 'Press "Ctrl+x" followed by "Ctrl+s" keys to save file and press "Ctrl+x" followed by "Ctrl+c" keys to exit from editor.',
	'press_keys_to_quit_emacs_editor'                   => 'Press "Ctrl+x" followed by "Ctrl+c" keys to exit from editor.',
	'press_keys_to_close_ne_editor'                     => 'Press "Esc key" key and choose the option from menu to save & exit from editor.',
	'press_keys_to_quit_ne_editor'                      => 'Press "Esc key" key and choose the option from menu to exit from editor.',
	'press_keys_to_close_jed_editor'                    => 'Press "Ctrl+x" followed by "Ctrl+s" keys to save file and press "Ctrl+x" followed by "Ctrl+c" keys to exit from editor.',
	'press_keys_to_quit_jed_editor'                     => 'Press "Ctrl+x" followed by "Ctrl+c" keys to exit from editor.',
	'preparing_to_delete'                               => "Preparing to delete...",
	'preparing_file_list'                               => 'Preparing File list...',
    'preparing_empty_dir_list'                          => 'Preparing empty directories list...',
	'password_should_be_at_least_3_20_characters'       => 'Password should be at least 3 - 20 characters. Please try again.',
	#'please_select_options_to_run_schedule_backup_job' => "Please select options to run Schedule Backup Job",
	'please_update_your_script_to_latest_version'       => 'Update your script to 2.16 or above version. ',
	'please_select_notification_preference'             => 'Select notification preference',
	'please_provide_root_pwd_for_init_packs'			=> "Provide root password for installing packages: ",
	'please_provide_sudo_pwd_for_init_packs'			=> "Provide sudo password for installing packages: ",
	'please_provide_root_pwd_for_cron'                  => "Provide root password for setting up $AppConfig::appType Cron",
	'please_provide_root_pwd_for_cron_uninstall'        => "Provide root password for setting up $AppConfig::appType Cron uninstallation",
	'please_provide_root_pwd_for_cron_restart'          => "Provide root password for restarting $AppConfig::appType Cron",
	'please_provide_root_pwd_for_cron_update'           => "Provide root password for updating $AppConfig::appType Cron",
	'please_provide_sudoers_pwd_for_pre_req'			=> "Provide sudo password for setting up prerequisites",
	'please_provide_root_pwd_for_pre_req'				=> "Provide root password for setting up prerequisites",
	'please_provide_sudoers_pwd_for_cron'               => "Provide sudo password for setting up $AppConfig::appType Cron",
	'please_provide_sudoers_pwd_for_cron_uninstall'     => "Provide sudo password for setting up $AppConfig::appType Cron uninstallation",
	'please_provide_sudoers_pwd_for_cron_restart'       => "Provide sudo password for restarting $AppConfig::appType Cron",
	'please_provide_sudoers_pwd_for_cron_update'        => "Provide sudo password for updating $AppConfig::appType Cron",
	'pls_start_cron_from_acc_settings'                  => "Run the $AppConfig::appType Cron service using $AppConfig::idriveScripts{'account_settings'} script and try again.",
	'periodic_archive'                                  => "Periodic archive",
	'please_provide_root_pwd_for_migrate_process'       => 'Provide root password to initiate the migration process.',
	'please_provide_sudoers_pwd_for_migrate_process'    => 'Provide sudo password to initiate the migration process',
	'please_provide_root_pwd_for_uninstall_process'     => 'Provide root password to continue the uninstallation process.',
	'please_provide_sudoers_pwd_for_uninstall_process'  => 'Provide sudo password to continue the uninstallation process',
	'please_provide_name_of_editor_in_machine'          => 'Provide the name of any available editor in your machine to continue',
	'please_make_sure_you_have_editor'                  => 'Ensure the editor is installed and configured.',
	'periodic_archive_cleanup'                          => "Periodic Archive Cleanup",
	'please_contact_support_for_more_information'       => 'Contact support for more information.',
	'please_contact_admin_to_unblock'                   => 'Contact the admin to unblock your account.',
	'python_not_found_no_speedtest'                     => 'Python not found. Unable to get speedtest.net result.',
	'parent_directory_present'                          => 'Parent directory is already present.',
	'please_wait'										=> 'Please wait',
	'please_make_sure_you_are_sudoers_list'             => 'Please check the entered password or make sure that user has been added to the "sudoers" file.',
	'please_make_sure_you_are_sudoers_list_and_try'     => 'Please make sure that user has been added to the "sudoers" file & try again OR contact support for more information.',
	'please_run_this_script_in_privileged_user_mode'   	=> 'Please run this script in privileged user mode to ',
	'press_keys_to_go_back_or_exit'   					=> 'Press "p" to go to previous menu or "e" to exit.',
	'press_keys_load_more_or_to_go_back_or_exit'   		=> "Press \"m\" to load more results or press \"p\" to go to previous menu or \"e\" to exit.\nOR\nEnter the S.No. of your choice.",
	'percentage_limit'                                  => "Percentage limit",
	'pre_req_not_met'									=> 'Prerequisites are not met',
	'please_execute_the_below_commands_in_seq'		    => 'Please execute the below commands in sequence as root/sudo user and try again',
	'partial_path_exclude'								=> 'Partial path exclude',
	'package_installation_repo_error'					=> 'Please check your package installer/manager and proceed',
	'paused'									        => 'Paused',
	'pre_update_check_completed'						=> 'Pre update check has been completed',
	'python_binary_downloaded_successfully'				=> "Successfully downloaded python command line utility.\n",
	'press_p_to_pause'						            => '(Press \'p\' to Pause)',
	'press_r_to_run'						            => '(Press \'r\' to Run)',
	'please_reconfig_account'							=> 'Please reconfigure your account using account_setting.pl.',
	'press_to_extend'							        => 'Compact (Press \'+\' for Extended view) ',
	'press_to_collapse'							        => 'Extended (Press \'-\' for Compact view) ',
    'password_validation_failed'                        => 'Password validation failed',
	'please_reconfig_account_and_retry'					=> 'Please reconfigure your account and try again.',
	'please_choose_the_method_to_authenticate_your_account' => 'Please choose a method to authenticate your IDrive account',
	'please_follow_instructions_for_speedtest_failure'  => "Please follow the instructions given below:\nvia Browser:\n1) Go to your browser and open the below url.\n\tURL\n2) Click on GO button and wait for the process to complete.\n3) Mention the upload speed calculated via speedtest.net in a file.\n\nVia Command:\n1) Run the command mentioned below.\n\tCMD\n2) Wait for the process to complete.\n3) Mention the upload speed calculated via speedtest.net in a file.\n",
	'please_follow_instructions_if_python_not_present'  => "Please follow the instructions given below:\nvia Browser:\n1) Go to your browser and open the below url.\n\tURL\n2) Click on GO button and wait for the process to complete.\n3) Mention the upload speed calculated via speedtest.net in a file.\n",
	'please_enter_speedtest_result_file_path_here'      => 'Please enter the speedtest result file path here: ',
	'please_enter_ticket_number_here'      				=> 'Please enter the ticket number here',
	'Please_try_again_issue_contact_support'			=> 'Please try again and in case of an issue contact support.',
#------------------------------------------------- Q -------------------------------------------------#
	'quota_exceeded' => "Quota exceeded.",
#------------------------------------------------- R -------------------------------------------------#
	're_configure_your_account_freshly'           => "Reconfigure your account freshly",
	'restore_from_location'                       => "Restore from location",
	'restore_from_location_progress'              => "Restore From Location",
	'retain_logs'                                 => "Retain logs",
	'retain_last_week'                            => "Retain last week",
	'retain_last_month'                           => "Retain last month",
	'restore_location'                            => "Restore location",
	'restore_location_progress'					  => "Restore Location",
	'restore'                                     => 'Restore',
	'restore_job'                                 => 'Restore job',
	'restore_title'                               => 'Restore',
	'restore_logs'                                => 'Restore Logs',
	'reason'                                      => 'reason',
	'Reason'                                      => 'Reason: ',
	'restore_a_specific_version_of_your_file'     => 'Restore a specific version of your file',
	'restore_from_not_found_reconfigure_acc_sett' => 'Restore from location not found. Please logout and reconfigure your account freshly using ___account_settings___ and try again.',
	'release_date_cc_label'						  => 'Release Date: ',
	'release_notes'                               => 'Release Notes',
	'reason_length_must_as_mentioned'             => 'Reason: Length must be between 4 to 64 characters',
	'reason_child_process_launch_failed'          => 'Reason: Child process launch failed.',
	'restore_start_time'                          => 'Restore Start Time: ',
	'restore_end_time'                            => 'Restore End Time: ',
	'restore_progress'                            => "Restore Progress\n================        \n",
	'restore_loc_prompt'                          => 'Restore location prompt',
	'restore_loc_prompt_enabled'                  => 'Restore Location prompt is "Enabled".',
	'restore_loc_prompt_disabled'                 => 'Restore Location prompt is "Disabled".',
	'restarting_cron_service'                     => "Restarting $AppConfig::appType Cron service.",
	'restarted_cron_service'                      => "$AppConfig::appType Cron service has been restarted",
	'restarting_dashboard_service'                => 'Restarting dashboard service',
	'restart_cron_service'                        => "Start/Restart $AppConfig::appType Cron service",
	'restore_in_progress_try_again' 			  => 'Restore in progress. Please try again later.',
	'rescan_interval'								=> 'Rescan interval',
	'restarting_cdp_services'						=> 'Restarting CDP service',
	'restartred_cdp_services'						=> 'CDP service has been restarted',
	'rescan'										=> 'Rescan',
	'rescan_now'									=> 'Rescan now',
	'rescan_request_placed_success'					=> 'Rescan request placed successfully',
	'rescan_job'									=> 'Backup Set Scan',
	'regex_exclude'									=> 'Regex exclude',
	'regex_exclude_log'								=> '[Regex exclude]' . "\n" . (('-') x 15),
	'reindex_is_inprogress'							=> "Re-Index operation is in progress. Please wait...",
	'running'										=> 'Running',
	'ref_username'									=> 'Ref : Username - ',
	'run_acc_setttings_edit_detail_start_serv'		=> "Run $AppConfig::idriveScripts{'account_settings'}. Go to 'Edit your account details' section to start these services.",
    'restored_count' 								=> '[Restored (<CC>) of total (<TC>) files]',
#------------------------------------------------- S -------------------------------------------------#
	'select_the_job_from_the_above_list'                                          => "\nSelect the job from the above list. ",
	'select_backupset_file_for_archive'                                           => "Select backupset for archive: ",
	'stop_backup'                                                                 => "Stop Backup",
	'stop_restore'                                                                => "Stop Restore",
	'stop_localbackup'                                                            => "Stop Local Backup",
	'stop_localrestore'                                                           => "Stop Local Restore",
	'stop_archive'                                                                => "Stop archive cleanup",
	'stop_cdp'                                                                		=> "Stop CDP",
	'storage_used'                                                                => "Storage Used:",
	'select_an_option'                                                            => "Select an option",
	'select_from_existing_backup_locations'                                       => "Select from existing Backup Locations",
	'set_your_encryption_key'                                                     => "Set your encryption key",
	'select_the_item_you_want_to_edit'                                            => "Select the item which you want to edit",
	'scheduled_backup'                                                            => "Scheduled backup",
	'scheduled_restore'                                                           => "Scheduled restore",
	'scheduled_job'                                                               => 'Scheduled Job',
	'successfully_reported_error'                                                 => 'Error report has been sent successfully',
	'successfully_sent_speed_analysis'                                            => 'Speed analysis report has been sent',
	'selected_date_range'                                                         => 'Selected date range',
	'select_option_to_view_logs_for'                                              => 'Select option to view logs for',
	'select_operation_to_perform'                                                 => 'Select the operation you wish to perform',
	'start_date_or_end_date_not_greater'                                          => 'Start date or end date should not be greater than current date',
	'start_date_should_not_greater_end'                                           => 'Start Date should not be greater than end date',
	'select_restore_from_loc_list'                                                => 'Select Restore From location below',
	'select_op_for_backup_type'                                                   => 'Select option for Backup Type:',
	'scripts_updated_successfully'                                                => "Your $AppConfig::appType for Linux package has been updated successfully.",
	'scheduled_backup_running'                                                    => "Backup job in progress.",
	'scheduled_localbackup_running'                                               => "Scheduled Local Backup Job is running",
	'scheduled_backup_set'                                                        => "Scheduled backupset",
	'start_time'                                                                  => "Start Time: ",
	'summary'                                                                     => "Summary: ",
	# 'summary_for_files_delete'                                                    => "Summary for files delete: ",
	# 'summary_for_empty_directories_delete'                                        => "Summary for empty directories delete: ",
	'summary_for_files_delete'                                                    => "[DELETE SUMMARY FOR FILES]\n",
	'summary_for_empty_directories_delete'                                        => "[DELETE SUMMARY FOR EMPTY DIRECTORIES]\n",
	'scanning_files'                                                              => "Scanning files...",
	'success'                                                                     => "Success",
	'select_mount_point'                                                          => 'Select the mount point you want to backup in, from the list mentioned below:',
	'select_mount_point_to_restore' 											  => 'Select the mount point you want to restore from, from the list mentioned below:',
	'status_file_doesnt_exists'                                                   => 'Status File doesn\'t exists',
	'setting_up_your_backup_location'                                             => 'Setting up your backup location...',
	'service_dir_updated_successfully'                                            => 'Service directory has been updated successfully to ',
	'scan_completed'                                                              => 'Scan Completed !!',
	'same_service_dir_path_has_been_selected'                                     => 'Same service directory has been selected again.',
	'setting_up_your_encryption_key'                                              => "Setting up your encryption key...",
	'schedule_your_backup_job'                                                    => 'Schedule your Backup job',
	'schedule_your_local_backup_job'                                              => 'Schedule your Local Backup job',
	'schedule_your_archive_job'                                                   => 'Periodic Archive Cleanup',
	'schedule_your_cdp_job'                                                   	  => 'Schedule your CDP job',
	'scheduled_time'                                                              => 'Scheduled Time',
	'status'                                                                      => 'Status',
	'scheduled_time_and_cut_off_time_should_have_minimum_5_minutes_of_difference' => 'Scheduled time and cut off time should have minimum 5 minutes of difference',
	'sat_u'                                                                       => 'Sat',
	'sun_u'                                                                       => 'Sun',
	'speed_test_file_created_successfully'                                        => 'speedTestFile.txt created successfully.',
	'speed_test_result_via_speed_test_net'                                        => 'Speed test result via speedtest.net: ',
	'starting_backup'                                                             => 'Starting Backup...',
	'setting_up_cron_service'                                                     => "Setting up $AppConfig::appType Cron service.",
	'setting_up_your_app_account'													=> "Setting up your $AppConfig::appType account",
	'start_backup_immediately'                                                    => 'Start Immediately',
	'schedule_backup_for_later'                                                   => 'Schedule for later',
	'starting_dashboard_service'                                                  => 'Starting Dashboard service',
	'start_date'                                                                  => 'Start Date',
	'starting_cron_service'                                                       => "Starting $AppConfig::appType Cron service",
	'started_cron_service'                                                        => "$AppConfig::appType Cron service started",
	'sending_error_report'                                                        => 'Sending error report...',
	'select_backup_schedule'                                                      => "Select backup schedule",
	'select_schedule_frequency'                                                   => "Select schedule frequency",
	'system_user'                                                                 => 'System user',
	'system_exclude'																=> '[System Exclude]',
	'software_update_prompt_enabled'                                              => 'Software update notification is "Enabled".',
	'software_update_prompt_disabled'                                             => 'Software update notification is "Disabled".',
	'show_hidden_files'                                                           => 'Show hidden files/folders',
	'start_dashboard_service'                                                     => 'Start Dashboard service',
	'start_restart_dashboard_service'											  => 'Start/Restart Dashboard service',
	'start_restart_cdp_service'                                             	  => 'Start/Restart CDP service',
	'starting_rescan'															  => 'Starting rescan',
	'starting_cdp_services'														  => 'Starting CDP service',
	'startred_cdp_services'														  => 'CDP service has been started',
	'schedule_for_later'														  => 'Schedule for later',
	'support_file_exec_string'                                                    => 'SURyaXZlTGludXhUZWFt',
	'switch_your_account'                                                         => 'If you switch to another IDrive account on this computer, you will lose all your scheduled backup jobs, Are you sure you want to switch your account (y/n)?',
	'setup_new_device_for_backup'                                                 => 'Backup sets, scheduled jobs, IDrive app settings, etc.., will be restored to this new computer, on replacing the existing computer ',
	'summary_of_deleted_logs'                                                     => 'Summary Of Deleted Logs',
	'status_report'                                                               => 'Status Report',
	'syncing_your_settings_please_wait'                                           => 'Syncing your settings, please wait...',
	'syncing_completed'                                                           => "Syncing completed.",
	'switching_user_please_wait'                                                  => "\nSwitching user. Please wait...",
	'scripts_are_setup_and_ready_to_use'										  => "$AppConfig::appType scripts are setup and ready to use",
	'successfully_updated_cron'													  => "Successfully updated $AppConfig::appType Cron service",
	'scan_progress'																  => "Backup Scan Progress\n====================        \n",
	'select_the_job_to_view_progress'                                             => "Select a job to view the progress: ",
	'size_of_backed_up_files'                                                     => 'Size of backed up files: ',
	'select_cdp_jobs_frequency'													  => "Select backup frequency for your CDP job: \n\t1. Real time\n\t2. 10 minutes\n\t3. 30 minutes\n\t4. 60 minutes",
	'select_your_linux_distribution'											  => "Select your Linux distribution name",
	'sso_login'                                                                   => 'Login using your SSO account',
	'speedtest_result_file_is_too_long'                                           => 'Speedtest result file is too long. Please mention only upload speed to speedtest result file and try again.',
#------------------------------------------------- T -------------------------------------------------#
	'this_job_might_be_stopped_already' => 'This job might be stopped already',
	'there_are_no_files_to_delete'		=> 'There are no files to delete.',
	'there_are_no_items_to_delete'		=> 'There are no items to delete.',
	'total_files_in_your_backupset' 	=> 'Total files in your backup set: ',
	'total_files_listed_for_deletion' 	=> 'Total files listed for deletion: ',
	'ticket_number_if_any'				=> 'Trouble ticket number (if created already)',
	'total_quota' 						=> 'Total Quota',
	'title_email_address' 				=> 'E-mail address',
	'tech_issue_comment_suggest' 		=> 'Technical issues/comments/suggestions',
	'truncating_report_message_' 		=> 'Truncating error message...',
	'ticket_number_only_alphanumeric'   => 'Ticket number can have only alphanumeric characters',
	'ticket_number_between_5_30' 		=> 'Ticket number must be between 5 to 30 characters',
	'ticket_number_must_11_char' 		=> 'Ticket number must be 11 characters',
	'terminating_your_title' 			=> 'Terminating your',
	'tue_u'								=> 'Tue',
	'thu_u'								=> 'Thu',
	'__title_backup__'					=> 'Backup Settings:',
	'__title_general_settings__'		=> 'General Settings:',
	'__title_restore_settings__'		=> 'Restore Settings:',
	'__title_services__'				=> 'Services:',
	'title_machine_name'                => 'Machine Name: ',
	'__title_empty__'					=> '',
	'__title_cdp__'						=> 'Continuous Data Protection:',
	'total_logs_deleted' 				=> 'Total logs deleted:',
	'total_files_scanned'				=> 'Total Files Scanned',
	'total_files_scanned_and_to_be_deleted'	=> 'Total files scanned <SCANNED> and total files to be deleted <FOUND>.',
	'this_may_take_miniutes_to_comp'	=> 'This may take several minutes to complete',
	'total_excluded_files'				=> 'Total excluded files',
	'terminating_ongoing_jobs' 			=> 'Terminating ongoing jobs. Please wait...',
	'two_factor_authentication_has_been_enabled_by_the_admin' => 'Admin has enabled two-factor authentication for your account, Sign in to your account via web and complete the verification process and try again.',
    'transferred_size' 			        => 'Transferred Size',
	'to_continue_speedtest_via_browser' => 'To continue you need to run the speedtest via browser manually',
#------------------------------------------------- U -------------------------------------------------#
	'unable_to_cache_the_quota'                    => "Unable to cache the quota",
	'unable_to_execute_evs_binary'                 => "Unable to execute EVS command line utility\nPlease configure or reconfigure your account using account_setting.pl",
	'unable_to_find_or_execute_evs_binary'         => "Unable to find or execute EVS command line utility\nPlease configure or reconfigure your account using account_setting.pl",
	'unable_to_find'                               => "Unable to find ",
	'unable_to_find_compatible_evs_binary'         => "Unable to find compatible EVS command line utility.",
	'unable_to_find_python_binary'                 => "Unable to find python command line utility.\nPlease run $AppConfig::idriveScripts{'account_settings'} to download compatible python command line utility.",
	'unable_to_start_cleanup_operation'            => "Unable to start cleanup operation. ",
	'unable_to_retrieve_the_quota'                 => "Unable to retrieve the quota",
	'unable_to_fork_child_process'					=> 'Unable to fork child process',
	'undefined_job_name'                           => 'Undefined job name',
	'username'                                     => 'username',
	'username_cc'									=> 'Username',
	'used_space'                                   => 'Used Space',
	'your_max_attempt_to_email'                    => "Your maximum attempt to enter E-mail ID has reached.",
	'unable_to_open_file'                          => 'unable to open file',
	'unable_to_connect'                            => 'Unable to connect',
	'unable_to_change_your'                        => 'Unable to change your',
	'unable_to_create_file'                        => 'Unable to create file',
	'proxy_details_updated_successfully'           => 'Proxy details has been updated successfully.',
	'updated_successfully'                         => 'Updated successfully.',
	'user_config_backuplocation_not_found'         => "Invalid Backup Location\nPlease edit your account details using account_setting.pl",
	'user_config_backuptype_not_found'             => "Invalid Backup Type\nPlease edit your account details using account_setting.pl",
	'user_config_bwthrottle_not_found'             => "Invalid Bandwidth Throttle value\nPlease edit your account details using account_setting.pl",
	'user_config_encryptiontype_not_found'         => "Invalid Encryption Type\nPlease re-login to your account using login.pl",
	'user_config_restorefrom_not_found'            => "Invalid Restore From\nPlease edit your account details using account_setting.pl",
	'user_config_restorelocation_not_found'        => "Invalid Restore Location\nPlease edit your account details using account_setting.pl",
	'user_config_retainlogs_not_found'             => "Invalid Retain Logs Value\nPlease edit your account details using account_setting.pl",
	'unable_to_create_cancel_file'                 => 'Unable to create cancel file',
	'unable_to_kill_job'                           => 'Unable to kill the job',
	'user_config_dedup_not_found'                  => "Invalid User Details\nPlease reconfigure your account using account_setting.pl",
	'user_config_username_not_found'               => "Invalid Username\nPlease re-login to your account using login.pl",
	'user_config_serverroot_not_found'             => "Invalid server root\nPlease re-login to your account using login.pl",
	'unable_to_find_mount_point'                   => 'Unable to find mount point. ',
	'unable_to_find_mount_point_with_data'         => 'Unable to find mount point with backed up data. ',
	'unable_to_load_mount_point'                   => 'Unable to load mount point.',
	'unable_to_proceed'	                           => 'Unable to proceed the operation.',
	'unable_to_proceed_backup'                     => 'Unable to proceed the backup operation. Reason: Child process launch failed for monitoring output file.',
	'unable_to_proceed_restore'                    => 'Unable to proceed the restore operation. Reason: Child process launch failed for monitoring output file.',
	'unable_to_download_evs_binary'                => "Unable to download EVS command line utility",
	'unable_to_download_python_binary'             => "Unable to download Python command line utility, please check you've installed the latest scripts available OR please contact the support team.",
	'unable_to_download_static_perl_binary'        => "Unable to download static Perl command line utility.",
	'unable_to_open'                               => 'Unable to open',
	'update_device_name_failed_try_again_later'    => 'Update device name failed. Please try again later.',
	'updating_your_backup_to_device_name'          => 'Updating your device name',
	'unable_to_login_please_try_login_script'      => 'Unable to login. Please try login using login.pl.',
	'username_must_contain_4_20_characters'        => 'Username must contain 4 - 20 characters. Please try again',
	'username_must_contain_4_characters'           => 'Username must contain minimum 4 characters. Please try again',
	'username_should_contain_specific_characters'  => 'Username should contain a-z, 0-9 and underscore',
	'user_directory_has_been_created_successfully' => 'User directory has been created successfully.',
	'updating_scripts_wait'                        => 'Updating your package. Please wait',
	'update_failed_to_download'                    => 'Update failed. Reason: unable to download package.',
	'update_failed_unable_to_unzip'                => 'Update failed, Reason: unable to unzip.',
	'unzip_failed_unable_to_unzip'                 => 'Unzip failed. Reason: Unable to unzip.',
	'upload_multiple_chunks'                       => 'Upload multiple file chunks simultaneously',
	'upload_multiple_chunks_1'                     => 'Upload multiple file chunks simultaneously is "Enabled".',
	'upload_multiple_chunks_enabled'               => 'Upload multiple file chunks simultaneously is "Enabled".',
	'upload_multiple_chunks_disabled'              => 'Upload multiple file chunks simultaneously is "Disabled".',
	'upload_multiple_chunks_0'                     => 'Upload multiple file chunks simultaneously is "Disabled".',
	'unable_to_start_cron_service'                 => "Unable to start $AppConfig::appType Cron service. ",
	'unable_to_install_idrive_cron'                => "Unable to install $AppConfig::appType Cron.",
	'unable_to_install_idrive_fallback_cron'       => "Unable to install $AppConfig::appType fallback Cron.",
	'user'                                         => 'User',
	'unable_to_find_editor'                        => 'Unable to find any text editor.',
	'unable_to_find_mac_address'                   => 'Unable to find hardware address.',
	'unable_to_find_entered_editor'                => 'Unable to find the editor you entered.',
	'unable_to_logout'                             => 'Unable to logout.',
	'unable_to_perform_backup_operation'           => "\n\t Unable to perform backup operation. Your backupset is empty. To do backup again please fill your backupset.",
	'unable_to_perform_restore_operation'          => "\n\t Unable to perform restore operation. Your restoreset is empty. To do restore again please fill your restoreset.",
	'updating_script_will_logout_users'            => "Updating scripts will logout configured $AppConfig::appType accounts for all Linux profile users & will terminate all the running jobs. ", 
	'unable_to_schedule'                           => 'Unable to schedule. ',
	'unable_to_place_rescan_request'				=> 'Unable to place rescan request',
	'unable_to_find_backupset_db'					=> 'Unable to find backupset Database',
	'updating_backupset_db'							=> 'Updating backupset Database',
	'unable_to_update_backupset_db'					=> 'Unable to update backupset Database',
	'unable_to_update_local_backupset_db'			=> 'Unable to update Local Backupset Database',
	'unable_to_identify_your_os_requirements'		=> 'Unable to identify your operating system requirements.',
	'unable_to_proceed_db_uzip_curl_prereq_met'		=> 'Prerequisites are not met. Unable to continue',
	'unable_to_continue'							=> 'Unable to continue',
	'unable_to_verify_local_files_in_mount_path'	=> 'Unable to verify local backup files in mount path',
	'unable_to_complete_pre_update_checks'			=> 'Unable to complete pre update checks',
	'unable_to_complete_silent_pre_update_checks'	=> 'Unable to complete background pre update checks',
	'use_link_to_use_linux_web'						=> 'Use link mentioned below to use Linux web interface',
	'unable_to_find_your_backup_location'           => 'Unable to find backup location for this device. Please reconfigure your account to continue.',
	'unable_to_find_your_restore_location'          => 'Unable to find restore location for this device. Please reconfigure your account to continue.',
	'unable_to_verify_account_detail'				=> 'Unable to verify your account details.',
	'unable_to_verify_account_contact_support'		=> 'Unable to verify your account details. Please contact support for more information.',
	'unable_to_verify_account_try_later'			=> 'Unable to verify your account details. Please try again later.',
	'unable_to_proceed_without_fresh_backup'		=> 'Unable to proceed without fresh backup.',
	'unable_to_find_any_active_job'		            => 'Unable to find any active job.',
	'updating_the_configuration_and_scripts'		=> 'Updating the configurations and the scripts...',
	'updated_the_configuration_and_scripts'			=> 'Successfully updated the configurations and the scripts.',
	'unable_to_schedule_periodic_cleanup'			=> 'Unable to schedule Periodic Archive Cleanup job. Reason: Operation has been aborted.',
	'unable_to_find_linux_distribution_name'		=> 'Unable to find your Linux distribution name.',
	'unable_to_find_linux_distribution_version'		=> 'Unable to find your Linux distribution version.',
	'unable_to_fetch_os_details'                    => 'Unable to fetch the OS details for your machine.',
	'updating_local_backupset_db'					=> 'Updating local backupset DB.',
	'updating_local_backupset_db_in_progress'		=> 'Updating local backupset DB in Progress.',
    'unable_to_fetch_regenerating_the_list'         => 'Unable to fetch details of backed up items. Regenerating the list. Please wait...',
	'unable_to_find_the_dependency_packages'		=> 'Unable to find the dependency packages mentioned below in your machine: ',
	'unable_to_fetch_the_details_trying_again'		=> 'Unable to fetch the details. Trying again...',
#------------------------------------------------- V -------------------------------------------------#
	'view_logs_for_backup'                         => 'View logs for Backup',
	'view_logs_for_local_backup'                   => 'View logs for Local Backup',
	'view_logs_for_restore'                        => 'View logs for Restore',
	'view_logs_for_local_restore' 				   => 'View logs for Local Restore',
	'view_logs_for_archive'                        => 'View logs for Archive Cleanup',
	'view_logs_for_cdp'							   => 'View logs for CDP',
	'verifying_your_account_info'                  => "\nVerifying your account information... ",
	'verifying_your_encryption_key'                => "Verifying your encryption key... ",
	'verification_of_encryption_key_is_successfull' => 'Verification of encryption key is successful.',
	'view_scheduled_jobs'                          => 'View Scheduled Jobs',
	'verifying_edited_file_content'                => "Verifying edited file content... ",
	'view_logs'                                    => "View Logs",
	'version_cc_label'							   => 'Version: ',
	'verifying_backup_files_in_mount_path'		   => 'Verifying local backed files in mount path',
	'version_mismatch_detected'					   => 'Version mismatch detected',
	'version_to_restore'						   => 'Version To Restore: ',
	'verfication_code_failed'						=> 'Two-factor authentication has failed',
    'verifying_item_details'					   => 'Verifying the item details. Please wait...',
#------------------------------------------------- W -------------------------------------------------#
	'want_to_change_username'   						=> 'Do you want to change this username (y/n)?',
	'would_you_like_to_edit_yn' 						=> 'Would you like to edit (y/n)?',
	'weekly_u'                  						=> 'Weekly',
	'wed_u'                     						=> 'Wed',
	'with_cut_off_time_for'     						=> 'with cut off time',
	'would_you_like_to_proceed' 						=> 'Would you like to proceed (y/n)?',
	'warning_header'            						=> 'Warning(s):',
	'weekly_scheduled_days'     						=> 'Weekly scheduled days',
	'would_you_like_to_install_manually_yn'				=> 'Would you like to install the packages manually (y/n)?',
#------------------------------------------------- X -------------------------------------------------#
#------------------------------------------------- Y -------------------------------------------------#
	'yes'                                              => 'Yes',
	'you_can_stop_one_job_at_a_time'                   => "You can stop only one job at a time",
	'your_service_directory_is'                        => "Your service directory is: ",
	'your_backup_to_device_name_is'                    => 'Your Backup Location is set to',
	'your_backup_location_name_is'                     => 'Your current Backup Location name is',
	'your_selected_mount_point_is'		               => 'Your selected mount point is ',
	'your_local_restore_from_device_name_is'		   => 'Your selected mount point to restore the data from is ',
	'your_localbackup_to_device_name_is'               => 'The selected mount point to backup your data is',
	'your_restore_from_device_is_set_to'               => 'Your restore from location is set to',
	'your_local_restore_from_device_is'		  		   => 'Your Local restore from location is ',
	'your_local_restore_from_device_is_set_to'		   => 'Your Local restore from location is set to',
	'your_backup_location_is'                          => 'Your Backup Location is ',
	'your_current_backup_location_is'                  => 'Your current backup location is ',
	'your_backup_type_is'                              => 'Your Backup type is ',
	'your_restore_location_is_set_to'                  => "Your Restore Location is set to",
	'your_restore_location_remains'                    => "Your Restore Location remains ",
	'your_account_details_are'                         => "Your account details are",
	'your_max_attempt_reached'                         => 'Your maximum attempts reached. Please try again.',
	'your_max_attempt_reached_only'                    => 'Your maximum attempts reached.',
	'your',                                            => 'your',
	'your_restore',                                    => 'Your Restore',
	'your_max_attempt_restore_location_reached'        => 'Your maximum attempt to change Restore from location has reached',
	'your_restore_from_loc_remains'                    => 'Your Restore from location remains',
	'your_restore_from_loc_changed_to'                 => 'Your Restore from location has been changed to ',
	'your_bw_value_set_to'                             => 'Your bandwidth throttle is set to ',
	'your_default_bw_value_set_to'                     => 'Your default bandwidth throttle is set to ',
	'your_default_failed_files_per_set_to'             => 'Default failed files percentage to notify as \'Failure\' is set to ',
	'your_default_missing_files_per_set_to'            => 'Default missing files percentage to notify as \'Failure\' is set to ',
	'your_default_mount_point_for_local_backup_set_to' => 'Your default mount point for local backup is set to ',
	'your_failed_files_per_set_to'                     => 'Your failed files percentage to notify as \'Failure\' is set to ',
	'your_missing_files_per_set_to'                    => 'Your missing files percentage to notify as \'Failure\' is set to ',
	'your_retain_logs_is_1_?'                          => 'Retain Logs option is "Enabled". Do you want to "Disable" (y/n)?',
	'your_retain_logs_is_0_?'                          => 'Retain Logs option is "Disabled". Do you want to "Enable" (y/n)?',
	'your_retain_logs_is_1'                            => 'Your Retain Logs option is "Enabled".',
	'your_retain_logs_is_0'                            => 'Your Retain Logs option is "Disabled".',
	'your_backup_type_is_set_to'                       => 'Your Backup type is set to ',
	'your_backup_type_is_changed_to'                   => 'Your Backup type is changed to ',
	#'your_account_is_not_configured_login_and_try_agai'                                                   => 'Your account is not configured. Please configure using account_setting.pl and try again.',
	#'your_restore_from_device_to'                     => 'Your restore from location is set to ',
	'your_scheduled_job_details_are_mentioned_below'	=> 'Scheduled job details',
	'your_restore_location'                            => "Your Restore Location is set to ",
	'your_default_service_directory'                   => 'Considering your default service directory...',
	'your_max_attempt_to_email'                        => "Your maximum attempt to enter E-mail ID has reached.",
	'your_previous_mount_point'                        => "Your current mount point is ",
	'your_selected_mount_point'                        => "Your selected mount point to backup your data is '<ARG>'.",
	'your_account_not_configured_properly'     		   => 'Your account is not configured properly. Please logout and reconfigure your account freshly using account_setting.pl and try again.',
	'your_account_not_configured_properly_reconfigure' => 'Your account is not configured properly. Please reconfigure your account freshly using account_setting.pl and try again.',
	'your_backupset_is_empty'                          => 'Your backupset is empty.',
	'your_cdpset_is_empty'                          	=> 'Your backupset is empty.',
	'your_localbackupset_is_empty'                     => 'Your local backupset is empty.',
	'your_restoreset_is_empty'                         => 'Your restoreset is empty.',
	'your_localrestoreset_is_empty'                    => 'Your local restoreset is empty.',
	'you_have_selected_per_as_cleanup_limit'           => "You have entered <PER>% as your cleanup limit.",
	'your_proxy_has_been_disabled'                     => "Your proxy has been \"Disabled\".",
	'your_hostname_is_empty'                           => 'Unable to fetch hostname for your device. Please verify the command [uname -n] and try again.',
	'your_email_notification_settings_are'             => 'Your e-mail notification settings are',
	'your_default_backup_file_created'                 => "Your default Backupset file has been created successfully.",
	'your_default_localbackup_file_created'            => "Your default Local Backupset file has been created successfully.",
	'your_default_restore_file_created'                => "Your default Restoreset file has been created successfully.",
	'your_default_localrestore_file_created'           => "Your default Local Restoreset file has been created successfully.",
	'your_default_scheduled_restore_file_created'      => "Your default Schedule Restoreset file has been created successfully.",
	'your_default_full_exclude_file_created'           => "Your default Full Exclude list file has been created successfully.",
	'your_default_partial_exclude_file_created'        => "Your default Partial Exclude list file has been created successfully.",
	'your_default_regex_exclude_file_created'          => "Your default Regex Exclude list file has been created successfully.",
	'your_default_regex_exclude_file_created'          => "Your default Regex Exclude list file has been created successfully.",
	'your_ignore_permission_is_disabled'               => 'Your Ignore file/folder level access rights/permission error notifications are "Disabled".',
	'your_ignore_permission_is_enabled'                => 'Your Ignore file/folder level access rights/permission error notifications are "Enabled".',
	'your_show_hidden_is_disabled'                     => 'Your show hidden files/folders option is "Disabled".',
	'your_show_hidden_is_enabled'                      => 'Your show hidden files/folders option is "Enabled".',
	'your_desktop_access_is_enabled'                   => 'Your desktop access has been "Enabled".',
	'your_desktop_access_is_disabled'                  => 'Your desktop access has been "Disabled".',
	'your_account_is_under_maintenance'                => 'Your account is under maintenance. Please contact support for more information.',
	'your_account_has_been_blocked'                    => 'Your account is blocked. Please contact the admin to unblock your account.',
	'your_account_has_been_cancelled'                  => 'Your account is cancelled. Please contact support for more information.',
	'your_account_has_been_suspended'                  => 'Your account is suspended. Please contact support for more information.',
	'your_account_status_unknown'						=> 'Your account status is unknown. Please contact support for more information.',
	'your_email_notification_preference_disabled'      => 'Your e-mail notification preference is disabled.',
	'your_archive_job_has_been_disabled_admin'         => 'Your Archive Cleanup job has been disabled by Administrator.',
	'your_archive_cleanup_schedule'                    => 'Your Archive Cleanup schedule',
	'you_cant_run_supporting_script' 				   => 'This script can\'t be executed.',
	'your_current_package_version_is_higher'		   => 'Your current package version is higher than available package version. Do you really want to update (y/n)?',
	'your_both_package_versions_are_same' 			   => 'Your current package version & available package version are same. Do you really want to update (y/n)?',
	'your_default_cdp_scan_interval_is_set_to' 			=> 'Your default backupset scan interval is set to ',
	'your_cdp_rescan_interval_is_set_to'				=> 'Your backupset scan interval is set to',
    'your_settings_will_be_synced_after_successful_account_configuration' => '[Note: Your settings will be synced after successful account configuration]. ',
	'your_machine_not_have_min_req_cdp'					=> 'Your machine kernel does not have minimum requirements for CDP',
	'your_linux_distribution_name'                      => 'Your Linux distribution name is ',
	'your_linux_distribution_version'                   => 'Your Linux distribution version is ',
	'your_device_has_been_added_as_trusted_device'		=> 'Your machine has been added as trusted device.',
#------------------------------------------------- Z -------------------------------------------------#
	'zipped_package_not_latest' => "Zipped package has same version or lower than current version. Do you really want to update (y/n)?",
);

my $expressBackupPage = "https://www.".lc($AppConfig::appType).".com/linux-express-backup.htm";
#$expressBackupPage = "https://www.idrive.com/linux-express-backup" if ($AppConfig::appType eq 'IDrive');

tie our %content, 'Tie::IxHash' or die "could not tie %hash";
#tie %{$content{'heading'}}, 'Tie::IxHash' or die "could not tie %hash";
%content = (
#------------------------------------------------- _ -------------------------------------------------#
	'heading' => Tie::IxHash->new(
		'introduction' 		   				=> "Introduction",
		'system_requirements'  				=> "System/Software Requirements",
		'setup_account' 	   				=> "Setup Your $AppConfig::appType Account",
		'login_account' 	   				=> "Login To Your $AppConfig::appType Account",
		#'edit_supported_files' 				=> "Edit your backup-set/local backup-set/restore-set, and exclude files",
		'2fa'								=> 'Two-Factor Authentication',
		'online_backup'						=> "Online Backup",
		'local_backup'					    => "Local Backup",
		'cdp'								=> 'Continuous Data Protection',
		'online_restore'					=> "Online Restore",
		'local_restore'					    => "Local Restore",
		'archive_cleanup' 					=> "Archive Cleanup",
		'exclude_files' 	   				=> "Exclude Files/Folders From Your Backup Set",
		#'manual_backup' 					=> "Immediate/Manual backup",
		#'manual_local_backup' 			    => "Immediate/Manual local backup",
		#'manual_restore' 					=> "Immediate/Manual restore",
		#'schedule_backup' 					=> "Schedule backup/local backup/archive cleanup job",
		#'view_progress' 					=> "View progress of scheduled backup/local backup",
		#'view_restore_previous_versions' 	=> "View/restore previous versions of a file",
		#'stop_ongoing_operations' 			=> "Stop ongoing backup/local backup/restore operations",
		'logs'                              => "View/Delete Logs",
		'send_error_report' 				=> "Send Error Report",
		'edit_user_details' 				=> "Edit User Details",
		'logout_account' 					=> "Logout From Your $AppConfig::appType Account",
		'updating_script_bundle' 			=> "Updating Your Script Bundle",
		'uninstall_script_bundle' 			=> "Uninstalling Your Script Bundle",
		'search_by_keyword' 				=> "Search By Keyword",
	),
	#'sub_heading' => Tie::IxHash->new(
	'sub_heading' => {
		'online_backup' => Tie::IxHash->new(
			'edit_backupset_file'    => "Edit Backup Set File",
			'manual_backup'  		 => "Start Immediate Backup",
			'schedule_online_backup' => "Schedule Backup",
			'view_backup_progress' 	 => "View Progress Of Ongoing Backup",
			'stop_online_backup'     => "Stop Ongoing Backup",
		),
		'local_backup' => Tie::IxHash->new(
			'edit_local_backupset_file'  => "Edit Local Backupset File",
			'manual_local_backup'  		 => "Start Immediate Local Backup",
			'schedule_local_backup' 	 => "Schedule Local Backup",
			'view_local_backup_progress' => "View Progress Of Ongoing Local Backup",
			'stop_local_backup'          => "Stop Ongoing Local Backup",
		),
		'cdp' => Tie::IxHash->new(
			'what_is_cdp'			=>"What is Continuous Data Protection[CDP]?",
			'edit_backupset_file'	=> "Edit Backup Set File",
			'schedule_cdp'			=> "Schedule CDP",
			'view_cdp_progress'		=> "View Progress Of Ongoing CDP",
			'stop_cdp'				=> "Stop Ongoing CDP",
		),
		'online_restore' => Tie::IxHash->new(
			'edit_restoreset_file'	=> "Edit Restore Set File",
			'manual_restore'  		=> "Start Immediate Restore",
			'view_restore_progress'	=> "View Progress Of Ongoing Restore",
			'version_restore'       => "View/Restore Previous Versions Of A File",
			'snapshots' 			=> "Snapshots: View/Restore the data backed up on or before the selected date appears",
			'stop_online_restore'   => "Stop Ongoing Restore",
		),
		'local_restore' => Tie::IxHash->new(
			'edit_local_restoreset_file'  => "Edit Local Restoreset File",
			'manual_local_restore'  	  => "Start Immediate Local Restore",
			'view_local_restore_progress' => "View Progress of Ongoing Local Restore",
			'stop_local_restore'          => "Stop Ongoing Local Restore",
		),
		'archive_cleanup' => Tie::IxHash->new(
			'manual_archive'  		=> "Manual Archive Cleanup",
			'periodic_archive' 		=> "Periodic Archive Cleanup",
		),
		'exclude_files' => Tie::IxHash->new(
			'exclude_files_full_Path' 	 => "Full Path Exclude",
			'exclude_files_partial_Path' => "Partial Path Exclude",
			'exclude_files_regex' 		 => "Regex Exclude",
		),
		'edit_user_details' => Tie::IxHash->new(
			'edit_user_details_backup_setting'  => "Backup Settings",
			'edit_user_details_general_setting' => "General Settings",
			'edit_user_details_restore_setting' => "Restore Settings",
			'edit_user_details_services' 		=> "Services",
		),
	},
	'description' => Tie::IxHash->new(
		'introduction' 		   			=> "Backup and protect the data on your Linux machines using the scripts bundle provided by $AppConfig::appType. Protect files during transfer and storage, using 256-bit AES encryption with an optional private key.",
		'system_requirements'  			=> "Linux (CentOS/Ubuntu/Fedora/OpenSUSE/FreeBSD/Linux Mint/Raspberry Pi) - 32-bit/64-bit\nPerl v5.8 or later",
		'setup_account' 	   			=> "You need to have an $AppConfig::appType account to use the scripts bundle for performing backup of your files. In case you do not have an account, sign up and create an account at \n$AppConfig::accountSignupURL\n\nTo set up the $AppConfig::appType scripts bundle locally with your $AppConfig::appType account, run the below command and follow the instructions.\n\n\$./account_setting.pl\n\nYou may be prompted to install the required Linux packages on your Operating System. In order to deliver faster sync, backup and continuous data protection, some of these packages are required.\n\nNote: On setting up the script bundle for the first time, users will be asked to enter the service path. This path will contain user specific data required to perform operations via script bundle.",
		'setup_account_IDrive' 			=> "\nYou can authenticate with $AppConfig::appType credentials or SSO credentials. \n\nNote: Single Sign-On (SSO) allows users to login to multiple systems with just one set of credentials. Now $AppConfig::appType Linux scripts  is SSO enabled, users can use their SSO credentials to login to the $AppConfig::appType Linux scripts.\n\nNote: The two-factor authentication provides additional security to your account and helps in preventing unauthorized access. Once two-factor authentication is enabled via web, in addition to your password, you will need to enter a verification code sent to your email address or phone number or Time-based OTP authenticator app, while signing in to your $AppConfig::appType account.\n\nNote: For some $AppConfig::appType accounts, while configuring the account, 'Create New Backup Location'/'Select from existing Backup Locations' option will appear and 'Mirror'/'Relative' backup type option will not appear.",
		'login_account' 	   			=> "If you are not logged in to your $AppConfig::appType account while setting up your bundle, run the below command to login:\n\n\$./login.pl\n\nNote: Login script is a mandatory script to be executed before performing any operation. This script will authenticate your $AppConfig::appType account details and will create a secure session for your backups.\n\nYou can login with $AppConfig::appType credentials or SSO credentials. \n\nNote: Single Sign-On (SSO) allows users to login to multiple systems with just one set of credentials. Now $AppConfig::appType Linux scripts  is SSO enabled, users can use their SSO credentials to login to the $AppConfig::appType Linux scripts.\n\nNote: The two-factor authentication provides additional security to your account and helps in preventing unauthorized access. Once two-factor authentication is enabled via web, in addition to your password, you will need to enter a verification code sent to your email address or phone number or Time-based OTP authenticator app, while signing in to your $AppConfig::appType account.",
		'2fa' 							=> "The two-factor authentication provides additional security to your account and helps in preventing unauthorized access. Once two-factor authentication is enabled via web, in addition to your password, you will need to enter a verification code sent to your email address or phone number or generated via Time-based OTP authenticator app, while signing in to your $AppConfig::appType Backup account.\n\n\nTo sign in after two-factor authentication is enabled,\n\n1. If you have selected Email address or Phone number as the preferred method of receiving one-time verification code, enter the same.\nNote: You can also add your computer as a trusted device by selecting the Trust this computer. Once a computer is added as a trusted device, users will not be asked to enter verification code during any subsequent sign in.\n\n2. If you have selected Time-based OTP authentication as the preferred method of receiving one-time verification code, enter the one-time code generated by the Time-based OTP authenticator app in your mobile device.",
		#'edit_supported_files'  		=> "The user must provide the file or folder list required to backup/local backup/restore in the backup/local backup/restore set file respectively, before starting the operation.\nTo update these details in the backup/local backup/restore set file execute the below command:\n\n\$./edit_supported_files.pl\n\nThe menu option will be displayed.\nSelect option 1 to modify the backup set.\nOnce the respective file opens in the text editor you can add the files/folders for backup.\nUsing the same script you can update, exclude and even schedule backup/local backup/restore set file by selecting the desired option.",
		'edit_backupset_file'  		 	=> "Before starting the backup operation, you must add the list of files/folders required for the backup in the backup set file. To update these details in the backup set file, you must execute the below command:\n\n\$./edit_supported_files.pl\n\nSelect option \"Edit your Backupset\" in the menu option appeared, to edit the backup set file. The respective file will open in the selected editor to edit. Add the files/folders that need to be backed up.",
		'edit_local_backupset_file'	    => "Before starting local backup operation, you must add the list of files/folders required for local backup in the local backup set file.\n\nTo update these details in the local backup set file, you must execute the below command:\n\n\$./edit_supported_files.pl\n\nSelect option \"Edit your Local Backupset\" in the menu option appeared, to edit the local backup set file. The respective file will open in the selected editor to edit. Add the files/folders that need to be backed up.",
		'edit_restoreset_file'  		=> "Before starting the restore operation, you must add the list of files/folders required for restore in the restore set file.\n\nTo update these details in the restore set file, execute the below command:\n\n\$./edit_supported_files.pl\n\nSelect option \"Edit your Restoreset\" in the menu option appeared, to edit the restore set file. The respective file will open in the selected editor to edit. Add the files/folders that need to be restored.",
        'edit_local_restoreset_file'	=> "Before starting the local restore operation, you must add the list of files/folders required to restore in the local restore set file.\n\nTo update these details in the local restore set file, you must execute the below command:\n\n\$./edit_supported_files.pl\n\nSelect option \"Edit your Local Restoreset\" in the menu option appeared, to edit the local restore set file. The respective file will open in the editor. Add the files/folders that need to be restored.",
		'manual_backup' 				=> "You can perform immediate/manual backup using the below command:\n\n\$./Backup_Script.pl\n\nWhen you run your backup script, it will reconfirm your backup location and allow you to change it. You can view the graphical progress bar for viewing the progress details of your data getting backed up. If you want to view the detailed progress bar, press '+' and to collapse, press '-'.\n\nIf you want your script to not ask for a backup location and or display progress bars, then you can always use the \"--silent\" flag with this command.",
		'manual_backup_IDrive' 			=> "\nNote: For some IDrive accounts, this script will not provide an option to change 'Backup location'.",
		'manual_local_backup' 		    => "You can perform immediate/manual local backup using the below command:\n\n\$./local_backup.pl\n\nUsing this script, you can backup your Linux machine data to the express device shipped to you. You can view the graphical progress bar for viewing the progress details of your data getting backed up. If you want to view the detailed progress bar, press '+' and to collapse, press '-'.\n\nOnce the data is backed up, you can ship this express device back to us and within a week your data will be available in your $AppConfig::appType account.\nFor more details on express, visit $expressBackupPage",
		'manual_restore' 				=> "You can perform immediate/manual restore using the below command:\n\n\$./Restore_Script.pl\n\nWhen you run your restore script, it will reconfirm your 'to' and 'from' restore location and will allow you to change it, if required. You can view the graphical progress bar for viewing the progress details of your data getting restored. If you want to view the detailed progress bar, press '+' and to collapse, press '-'.\n\nIf you want your script to not ask for the ‘to’ and ‘from’ restore location, or to display the progress bars, then you can always use the \"--silent\" flag with this command.",
		'manual_local_restore' 		    => "You can perform immediate/manual local restore using the below command:\n\n\$./local_restore.pl\n\nUsing this script, you can safely retrieve all your locally backed up files/folders to your Linux machine. You can view the graphical progress bar for viewing the progress details of your data getting restored. If you want to view the detailed progress bar, press '+' and to collapse, press '-'.\n\n",
		'manual_restore_IDrive' 		=> "\nNote: For some $AppConfig::appType accounts, user will not be able to edit \"Restore From\" manually and have to select \"Restore From\" location from the list of existing locations.",
		#'schedule_backup' 				=> "Run the below command to manage your schedule backup/local backup/archive cleanup job:\n\n\$./scheduler.pl\n\nSelect the desired menu option to  create, edit, view or delete your schedule backup / local backup / archive cleanup job and follow the instructions.\nIn case you want your schedule job to stop automatically at a scheduled time then you can set a cut-off time as well.",
		'schedule_online_backup'		=> "Run the below command & follow the instructions to manage your schedule backup job:\n\n\$./scheduler.pl\n\nSchedule your backup job:\n$AppConfig::tab Select the \"Schedule your backup job\" menu option to create/edit your schedule and follow the instructions. In case you want your scheduled job to stop automatically at a scheduled time, then set the cut-off time, while following the instructions.\n\nDisable scheduled backup job:\n$AppConfig::tab Select the \"Disable scheduled backup job\" menu option to disable your scheduled backup job.",
		'schedule_local_backup'		    => "Run the below command & follow the instructions to manage your schedule local backup job:\n\n\$./scheduler.pl\n\nSchedule your local backup job:\n$AppConfig::tab Select the \"Schedule your local backup job\" menu option to create/edit the schedule and follow the instructions.\n$AppConfig::tab In case you want your scheduled job to stop automatically at a scheduled time, then set the cut-off time, while following the instructions.\n\nDisable scheduled local backup job:\n$AppConfig::tab Select the \"Disable scheduled local backup job\" menu option to disable your scheduled local backup job.",
		'archive_cleanup'				=> "Archive Cleanup compares the files of your local storage, selected for backup, with the files in your $AppConfig::appType online backup account. It then deletes the files present in your account but not on your local machine. This feature thus helps you to free up space in your online backup account.\n\nWhen you run the script to perform archive cleanup, you can enter a percentage of the total number of files to be considered for deletion. This percentage based control helps to avoid large-scale deletion of files from your account.\n\n",
		'archive_cleanup_IBackup'		=> "\nNote:\n1. For your $AppConfig::appType account if \"relative path\" option is enabled then user will not able to perform Archive cleanup operation.\n2. Manual/periodic Cleanup cannot be initiated when backup is in progress.",
		'archive_cleanup_IDrive'		=> "\nNote:\n1. For some $AppConfig::appType accounts \"relative path\" option will be available. If \"relative path\" is enabled, then the user will not able to perform the Archive Cleanup operation.\n2. Manual/Periodic Cleanup cannot be initiated when backup is in progress.",
		'periodic_archive'				=> "Periodic Cleanup deletes files at the frequency & percentage set by you for the current backup set, once enabled.\n\nRun the below command & follow the instructions to manage your periodic archive cleanup job:\n\n\$./scheduler.pl\n\nPeriodic Archive Cleanup:\n$AppConfig::tab Select the \"Periodic Archive Cleanup\" menu option to create/edit the schedule and follow the instructions.\n\nDisable Periodic Archive Cleanup:\n$AppConfig::tab Select the \"Disable Periodic Archive Cleanup\" menu option to disable your periodic archive cleanup job.",
		'manual_archive' 				=> "To perform archive cleanup operation, run the below command and follow the instructions:\n\n\$./archive_cleanup.pl\n\nWhen you run the script to perform archive cleanup, you can modify the percentage of the total no.of files to be considered for deletion.\nThis percentage based control helps you to avoid large-scale deletion of files from your account.",
		'version_restore' 				=> "You can view the list of previous versions of any file and select any version that you want to restore.\n\nTo retrieve a file with earlier versions, run the below command and follow the instructions:\n\n\$./restore_version.pl",
		'version_restore_IDrive' 		=> "\nNote: For some IDrive accounts, user will not be able to edit \"Restore From\" location manually and have to select \"Restore From\" location from the list of existing locations.",
		'snapshots' 					=> "Snapshots are historical view of your data, stored in $AppConfig::appType account, which allow you to perform point-in-time recovery. They are useful especially in case your systems were attacked by ransomware or other malicious software.\n\nIf your data is infected with encryption-based ransomware, all you need to do is select a time-line before the infection and restore it. As $AppConfig::appType is cross-platform compatible you can ensure all your PCs and Macs are backed up and protected against these threats.\n\nThe additional storage requirements for Snapshots has no impact on your $AppConfig::appType account storage space.",
		'snapshots_IDrive' 			    => "\nNote: For some accounts, Snapshots are not available.",
		#'view_progress' 				=> "To view the progress of scheduled backup or local backup operation, run the below command:\n\n\$./Status_Retrieval_Script.pl",
		'view_backup_progress' 	 		=> "To view the progress of backup, run the below command and select \"Backup Job\" menu option:\n\n\$./status_retrieval.pl\n\nYou can view the graphical progress bar for viewing the progress details of your data getting backed up. If you want to view the detailed progress bar, press '+' and to collapse, press '-'.",
		'view_local_backup_progress'	=> "To view the progress of ongoing local backup, run the below command and select \"Local Backup Job\" menu option:\n\n\$./status_retrieval.pl\n\nYou can view the graphical progress bar for viewing the progress details of your data getting backed up. If you want to view the detailed progress bar, press '+' and to collapse, press '-'.",
		'view_restore_progress'			=> "To view the progress of ongoing restore job, run the below command and select \"Restore Job\" menu option:\n\n\$./status_retrieval.pl\n\nYou can view the graphical progress bar for viewing the progress details of your data getting restored. If you want to view the detailed progress bar, press '+' and to collapse, press '-'.",
		'view_local_restore_progress'	=> "To view the progress of ongoing local restore, run the below command and select \"Local Restore Job\" menu option:\n\n\$./status_retrieval.pl\n\nYou can view the graphical progress bar for viewing the progress details of your data getting restored. If you want to view the detailed progress bar, press '+' and to collapse, press '-'.",
		#'stop_ongoing_operations' 		=> "To stop an ongoing backup or local backup or restore operation, run the below command:\n\n\$./job_termination.pl",
		'stop_online_backup' 			=> "To stop an ongoing backup job, run the below command and select \"Stop Backup\" menu option:\n\n\$./job_termination.pl",
		'stop_local_backup' 			=> "To stop an ongoing local backup job, run the below command and select \"Stop Local Backup\" menu option:\n\n\$./job_termination.pl",
		'stop_online_restore' 			=> "To stop an ongoing restore job, run the below command and select \"Stop Restore\" menu option:\n\n\$./job_termination.pl",
		'stop_local_restore' 			=> "To stop an ongoing local restore job, run the below command and select \"Stop Local Restore\" menu option:\n\n\$./job_termination.pl",
		'logs' 			 		        => "You can view or delete the logs for backup/local backup/continuous data protection/restore/archive cleanup operations using the below command:\n\n\$./logs.pl",
		'send_error_report' 			=> "You can send error report to $AppConfig::appType support by running the below command:\n\n\$./send_error_report.pl",
		'edit_user_details' 			=> "In case you want to reconfigure your IDrive account locally due to any reason or want to edit user details locally for your configured IDrive account, run the below command:\n\n\$./account_setting.pl\n\nOnly if your account is already configured in the current machine, you will find the menu which will allow you to reconfigure your IDrive account locally or will allow you to edit the user account details locally.\n\nYou can configure the following settings:\n\n",
		'logout_account' 				=> "To end the logged in session for your $AppConfig::appType account, run the below command:\n\n\$./logout.pl\n\nYou must logout (optional) to avoid any unauthorized access to your $AppConfig::appType account. After logout, you need to login again to perform most of the operations.\nNote: Your scheduled backup/scheduled local backup/continuous data protection/periodic cleanup jobs will run even after you log out.",
		'updating_script_bundle' 		=> "Every script that gets executed, displays a header which provides the details of the logged in $AppConfig::appType account. Same header also displays information on any newly available script bundle.\n\nIf Software Update Notification is enabled, you will see the message \"A new update is available. Run check_for_update.pl to update to the latest package\", indicating that a new improved version of the script bundle has been released.\n\nTo update to the most recent available script bundle, run the below command and follow the instructions:\n\n\$./check_for_update.pl",
		'uninstall_script_bundle' 		=> "Uninstalling the script bundle from your system will leave the files/folders of your system liable to digital disasters.\n\nTo uninstall the script bundle, run the below command and follow the instructions.\n\n\$./Uninstall_Script.pl\nThis script will automatically remove all $AppConfig::appType package files and other dependency files. It will also stop all $AppConfig::appType specific services and cleanup the scheduled backup/local backup/continuous data protection/periodic cleanup jobs, if any.",

		#Sub-Title script  files/folder
		#'script_download_executable_files' => "1.account_setting.pl\n2.archive_cleanup.pl\n3.Backup_Script.pl\n4.check_for_update.pl\n5.edit_supported_files.pl\n6.local_backup.pl\n7.job_termination.pl\n8.login.pl\n9.logout.pl\n10.Restore_Script.pl\n11.restore_version.pl\n12.scheduler.pl\n13.send_error_report.pl\n14.speed_analysis.pl\n15.Status_Retrieval_Script.pl\n16.Uninstall_Script.pl\n17.view_log.pl\n",
		#'script_download_supported_files'  => "1.Constants.pm\n2.cron.pl\n3.Header.pl\n4.Operations.pl\n5.readme.txt\n6.utility.pl\n",
		#'script_download_supported_folders' => "Ibackuplib - Contains cron startup routine files for all supported platforms and required Perl modules",

		#Sub-Title Exclude
		'exclude_files_full_Path'    => "To exclude files/folders with full path,\n\n1. Run 'edit_supported_files.pl' script and select option 'Edit Your Full Path Exclude List'. The 'FullExcludeList.txt' file will open in the selected editor.\n2. Add the full path of the files/folders that you wish to exclude.\n3. Enter each item in a new line.\n4. Save and exit.\n\nExample: Your backup set contains \"/home/Documents\" and if you want to exclude \"/home/Documents/temp\", enter the folder path ie: \"/home/Documents/temp\" in FullExcludeList file.",
		'exclude_files_partial_Path' => "To exclude files/folders with partial path,\n\n1. Run 'edit_supported_files.pl' script and select option 'Edit Your Partial Path Exclude List'. The 'PartialExcludeList.txt' file will open in the selected editor.\n2. Add the partial name of the files/folders that you wish to exclude.\n3. Enter each item in a new line.\n4. Save and exit.\n\nExample: Your backup set contains /home/Documents and if you want to exclude all the pst files from this folder like\n/home/Documents/design tutorials.pst,\n/home/Documents/new.pst,\n/home/Documents/James/tutorials.pst etc, then enter 'pst' in PartialExcludeList file.",
		'exclude_files_regex'        => "To exclude files/folders based on regex pattern,\n\n1. Run 'edit_supported_files.pl' script and select option 'Edit Your Regex Exclude List'. The 'RegexExcludeList.txt' file will open in the selected editor.\n2. Add the regex pattern of the files/folders that you wish to exclude.\n3. Enter each item in a new line.\n4. Save and exit.\n\nExample: Your backup set contains /home/Folder01, /home/Folder02, /home/FolderA, /home/FolderB.\nIf you want to exclude all folders/files that contain numeric values in name ie: /home/Folder01, /home/Folder02 etc, then enter 'Folder\\d+' in the RegexExcludeList file.",

		#Sub-Title Edit user details
		'edit_user_details_backup_setting'   		=> "Backup location:\n$AppConfig::tab Update the backup location using this option.\n\nBackup type:\n$AppConfig::tab Change the backup type from mirror to relative and vice versa using this option.\n\nBackupset Rescan Interval:\n$AppConfig::tab Set the interval in which IDrive service scans through the backup set and keeps the list of files to backup updated.\n\nBandwidth throttle(%):\n$AppConfig::tab Set the Internet bandwidth to be used by the scripts for backups using this option.\n\nFailed files(%):\n$AppConfig::tab By default, failed files % to notify backup as 'Failure' is set to 5%. If the total files failed for backup is more than 5%, then backup will be notified as failure. Change the default setting using this option.\n\nIgnore file/folder level permission error:\n$AppConfig::tab If your backup set contains files/folders that have insufficient access rights, IDrive will not be able to backup those files/folders. Hence in such a case, by default, your backup will be considered as 'Failure'. To ignore file/folder level access rights/permission errors, enable this setting.\n\nMissing files(%):\n$AppConfig::tab By default, missing files % to notify backup as 'Failure' is set to 5%. If the total files missing for backup is more than 5%, then backup will be notified as failure. Change the default setting using this option.\n\nShow hidden files/folders:\n$AppConfig::tab Disable this option to skip hidden files/folders from backup.\n\nUpload multiple file chunks simultaneously:\n$AppConfig::tab Enable this option to upload multiple file chunks simultaneously to improve overall data transfer speed.",
		'edit_user_details_backup_setting_IDrive'   => "\nNote: For some users, while reconfiguring or editing account, \"Backup Type\" will not be displayed.",
		'edit_user_details_general_setting'  		=> "Desktop access:\n$AppConfig::tab Use this option to enable/disable the dashboard access. For some IDrive accounts, this option will not be available.\n\nE-mail address:\n$AppConfig::tab Use this option to change the email address provided at the time of setting up an account locally.\n\nProxy details:\n$AppConfig::tab If you are behind a proxy address, you should update the proxy settings using this option.\n\nService path:\n$AppConfig::tab Update the service path used by IDrive scripts using this option.\n\nSoftware update notification:\n$AppConfig::tab Enable this option to get a notification for available updates in the script header.",
		'edit_user_details_restore_setting'  		=> "Restore from location:\n$AppConfig::tab Use this option to change the location from where items will be restored.\n\nRestore location:\n$AppConfig::tab Use this option to change the restore location.\n\nRestore location prompt:\n$AppConfig::tab Enable this option if you wish to receive notification about the restore location before starting restore.",
		'edit_user_details_restore_setting_IDrive'  => "\nNote: For some users, while editing \"Restore From\" location, list of devices will appear.",
		'edit_user_details_services'       	 		=> "Start/Restart CDP service:\n$AppConfig::tab Use this option to start or restart the CDP service. This service is responsible for identifying any change that takes place in your local storage for the selected backup set items and pushing that change for backup via CDP (if enabled) or via scheduled backup operation.\n\nStart/Restart dashboard service:\n$AppConfig::tab Use this option to start or restart dashboard service. This service must be up and running for your machine to be remotely managed from the Linux web interface (Dashboard).\n\nStart/Restart $AppConfig::appType Cron service:\n$AppConfig::tab Use this option to start or restart $AppConfig::appType Cron service. This service is responsible for all the scheduled jobs to work as expected.",
		# 'edit_user_details_services_IDrive'  		=> "\nStart/Restart Dashboard service:\n$AppConfig::tab Use this option to start/restart the dashboard service. This service must be up and running for your machine to be remotely managed from the Dashboard.",
		'what_is_cdp'			=> "Continuous Data Protection feature automatically recognizes the changes made to the files in the backup set and starts the backup operation in near real-time. CDP is not a replacement for the traditional schedule backup feature but works along with scheduled backup to provide timely protection to your data.",
		'schedule_cdp'			=> "Run the below command & follow the instructions to manage your scheduled CDP job:\n\n\$./scheduler.pl\n\nSchedule your CDP Job:\n$AppConfig::tab Select the \"Schedule your CDP Job\" menu option to create/edit your schedule and follow the instructions.\n\nDisable scheduled CDP job:\n$AppConfig::tab Select the \"Disable Scheduled CDP Job\" menu option to disable your scheduled CDP job.",
		'view_cdp_progress'		=> "To view the progress of ongoing CDP, run the below command and select \"CDP Job\" menu option:\n\n\$./status_retrieval.pl\n\nYou can view the graphical progress bar for viewing the progress details of your data getting backed up. If you want to view the detailed progress bar, press '+' and to collapse, press '-'",
		'stop_cdp'				=> "To stop an ongoing CDP job, run the below command and select \"Stop CDP Job\" menu option:\n\n\$./job_termination.pl",
	),
);
1;
